Alphabetical List of Utilities

Alphabetic List of Tools

A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

In the following list, some utilities are listed twice: once by their filename, once by their full name. The listing by full name is in italics.

A

Adapter Card Help: W98CARD.HLP

ANIEDIT.EXE: Animated Cursor Editor

ASSOCIATE.EXE

Automated .INF Installer (INFINST.EXE)

Top

B

BATCH.EXE: Microsoft Batch 98 Automated Setup Utility

Batch File Wait (SLEEP.EXE)

BOOTEDIT.EXE: Windows Boot Editor

Top

C

CHECKLINKS.EXE: Link Check Wizard

CHDOSCP.EXE: MS-DOS Code Page Changer

CHOICE.EXE: User Input for Batch Files

CLIP.EXE: Clip

CLIPSTOR.EXE: Clipboard Buffer Tool

CLIPTRAY.EXE: Clipboard Organizer

COMPREG.EXE: Registry Comparison Utility

COMPRESS.EXE: File Compress

CREATEFILE.EXE: System Stress Testing Tool

Top

D

DBSET.EXE: Bulk Configuration Utility

DEFPTR.EXE: Default Printer

DEPENDS.EXE: Dependency Walker

DFLAYOUT.EXE: Compound File Layout User Tool

DUPFINDER.EXE: Duplicate File Finder

Top

E

Environment Setting Utility (WINSET.EXE)

EXETYPE.EXE: Finding the Executable Type

EXPAND.EXE: Expand for Windows

Top

F

FAT32WIN.EXE: Fat32 Conversion Information Tool

File and Directory Comparison (WINDIFF.EXE)

File Compress (COMPRESS.EXE)

FILEVER.EXE: FileVer

FILEINFO.EXE: System File Information

Finding the Executable Type (EXETYPE.EXE)

FINDSTR.EXE: Search Tool

FORFILES.EXE

FREEDISK.EXE

Top

G

GREPING.EXE: GRE Protocol Troubleshooting Tool

Top

H

Hardware Compatibility List

Top

I

IMAGEDIT.EXE: Image Editor

Internet Explorer Profile Manager: PROFMGR.EXE

INFINST.EXE: Automated .INF Installer

Top

J

No entries

Top

K

KILL.EXE: Task Killing Utility

Top

L

LFNBACK.EXE: Long Filename Backup Utility

Link Check Wizard (CHECKLINKS.EXE)

LIST.EXE: text editor

LOGTIME.EXE

Top

M

MCOPY.EXE

Microsoft Batch 98 Automated Setup Utility (BATCH.EXE)

MINITEL.TTF: Minitel Emulation Files

MSCONFIG.EXE: System Troubleshooting Tool

MS-DOS Code Page Changer (CHDOSCP.EXE)

MSINFO32.EXE: System Troubleshooting Tool

Top

N

NETTIME.EXE: Server Time Synchronization Tool

Network Monitor Agent and Protocol Driver (NMAGENT.EXE)

NMAGENT.EXE: Network Monitor Agent and Protocol Driver

NOW.EXE: Now

Top

O

OLEVIEW.EXE: OLE/COM Object Viewer

Top

P

Password List Editor: PWLEDIT.EXE

POSIX 32-bit Workalike Utilities

POLEDIT.EXE: System Policy Editor

Power Toys: Tweakui

PROFMGR.EXE: Internet Explorer Profile Manager

PWLEDIT.EXE: Password List Editor

Top

Q

QUICK LAUNCH EXPRESS: Application Management Tool

QUIKTRAY.EXE: System Tray Utility

Top

R

REG.EXE

REMOTREG: Microsoft Remote Registry Service

Regina REXX Scripting Language

RPCPP: Microsoft Remote Procedure Call Print Provider

Top

S

Server Time Synchronization Tool (NETTIME.EXE)

SLEEP.EXE: Batch File Wait

SNMP Agent: Windows 98 Remote SNMP Service

SRCHREG.EXE

SREDIT.EXE: ScanReg.Ini Editing Tool

System Policy Editor: POLEDIT.EXE

Top

T

Task Killing Utility (KILL.EXE)

Task List Viewer (TLIST.EXE)

TEXTVIEW.EXE: TextViewer

TIMETHIS.EXE: Time This

TIMEZONE.EXE: Daylight Savings Time Utility

TLIST.EXE: Task List Viewer

TRANSLATE.EXE

TWEAKUI: Desktop Power Toy

TZEDIT.EXE: Time Zone Utility

Top

U

USBVIEW.EXE: USB Device Troubleshooter

User Input for Batch Files (CHOICE.EXE)

UUDecode and UUEncode Utility, 32-Bit (UUCODE.EXE)

Top

V

No entries

Top

W

WAITFOR.EXE

WHERE.EXE: File locating tool

WINALIGN.EXE: Application performance optimizer

WINBOOT.EXE: Multiple Language Boot

WINDIFF.EXE: File and Directory Comparison

WINREP: Windows Report Tool

WINREP SDK: WinRep Software Development Kit

WINSET.EXE: Environment Setting Utility

Windows 98 Adapter Card Help (W98CARD.HLP)

Windows 98 Hardware Compatibility List

Windows 98 Resource Kit book online

Windows Boot Editor (BOOTEDIT.EXE)

Windows File Information (FILEINFO.EXE)

Windows NT and Windows 98 Logo Requirements

Windows Scripting Host: Documentation/Sample Scripts

Windows Scripting Host: Programmer's Reference

Top

X

No entries

Top

Y

No entries

Top

Z

No entries

Top


Introduction

Welcome to the Microsoft Windows 98 Resource Kit. This Help file presents an overview of the tools and utilities available on the Resource Kit CD.

Online and print cross-references are listed for many tools, and most topics include links (an icon and underlined green text) that allow you to open the tool's Help or documentation file or to run the tool. Links to utilities that require further installation are preceded by explanatory notes.

For these links to work properly, the Resource Kit must be installed on your computer. If you have not yet installed the Windows 98 Resource Kit, see the following topic.

Installing the Windows 98 Resource Kit

For more information on a particular tool, see the online Help or print documentation for that tool or the appropriate chapter in the Windows 98 Resource Kit book.

Some of these links are to Internet sites. To use these links, you must have a World Wide Web browser installed on your computer and an Internet connection. Windows 98 includes Internet Explorer, a World Wide Web browser which can connect to any World Wide Web, Gopher, or FTP link.

You can also explore the tools and utilities using the new Tools Management Console.

To start the Tools Management Console

  • Click Start, point to Programs, point to Windows 98 Resource Kit, and then click Tools Management Console.

Note that to use the Tools Management Console you need to install the Resource Kit on your machine.

Finding the tool you need

Finding tools by name

Finding tools by category

Finding tools using the Tools Management Console

Getting a menu with the right mouse button

Using the right-mouse-button menu

Understanding notation and terminology used in this document

The following conventions for usage and notation are observed in this document:

Procedural conventions

Notational conventions

Keyboard conventions

Terminology conventions

This Help file assumes that you are already familiar with Windows 98. For more general information about Windows 98, including keyboard equivalents to menu and mouse actions, see the Windows 98 online Help.

Sending feedback on the Windows 98 Resource Kit

Sending feedback


Disclaimer

Many of these tools were developed internally at Microsoft. Any use of any of these tools is at your own risk. These tools are provided "AS IS" without warranty of any kind. Microsoft disclaims any implied warranty of merchantability and/or fitness for a particular purpose.

These tools have NOT been localized: they are written and tested in English only. Using these tools with a different language version of Windows 98 may produce unpredictable results.


Resource Kit information on the Internet

Several Microsoft sites on the Internet provide further information and updates on the Windows 98 and Windows NT Resource Kits. If you have an Internet connection and a Web browser, you can click the following links to visit these sites.

World Wide Web sites related to Windows 98 Resource Kit

Windows NT & Windows 98 Resource Kits Web Site

http://mspress.microsoft.com/reslink

Microsoft Press Online Support Web Site

http://www.microsoft.com/mspress/support/

World Wide Web sites related to the Windows 98 platform

Windows 98 Hardware Compatibility List - Web Version

http://www.microsoft.com/hwtest/

Microsoft Knowledge Base, Technical Support questions, and Troubleshooting data (including information for Windows 98).

http://support.microsoft.com/support

Other Microsoft World Wide Web sites of interest

Internet Explorer Web Site

http://www.microsoft.com/ie/

Microsoft TechNet

http://www.microsoft.com/TechNet/

Microsoft Home Page

URLs (Internet addresses) for specific topics may occasionally be moved during maintenance or changed. If you have any problem reaching a link, point your browser to:

Microsoft Home Page

http://www.microsoft.com/

On the Microsoft Home Page, you can search for the topic on which you are seeking information.


Customize and Optimize my Desktop

I want a more Web-like look and feel to my Windows environment

Windows 98 introduces the Active Desktop, which changes your desktop and folders to look and behave more like resources on the World Wide Web. By default, when you first install Windows 98, the Active Desktop is not enabled. To enable it, click Start, point to Settings, point to Active Desktop, and then click View as Web Page.

I want faster access to my commonly used programs, files, and resources

The Windows 98 Resource Kit contains several tools that can help make your work life more efficient. Use Quick Launch Express or QUICKTRAY.EXE to create a custom menu that allows you to start frequently used programs, files, and URLs with a single mouse click from anywhere in Windows 98.

More about Quick Launch Express.

More about Quick Tray.

If you are working on a network and frequently need to change printers, you can use the Default Printer Organizer (DEFPTR.EXE) to simplify this task.

More about DEFPTR.EXE.

The TWEAKUI power tool is an extension to your Windows 98 Control Panel that allows you to set many aspects of your Windows 98 operating environment, including Network and Browser settings, shortcut icon appearance, and menu and mouse behavior.

More about TWEAKUI.

I want to make my desktop less cluttered

Use the Link Check Wizard to locate and remove shortcuts to files or resources that no longer exist on your system.

More about the Link Check Wizard.

Use TWEAKUI to remove icons from the desktop and create them as files. You can then put these files into folders and organize them in whatever manner you think best.

More about TWEAKUI.

I want to change the way my shortcuts and icons look and operate

Use IMAGEDIT.EXE to create or edit icon (.ICO) or animated cursor (.CUR) files. Use ANIEDIT.EXE in combination with IMAGEDIT.EXE to create custom animated cursors or to edit the standard Windows 98 animated cursor files.

More about IMAGEDIT.EXE.

More about ANIEDIT.EXE.


Install Windows 98 on multiple computers

If you need to set up Windows 98 on large numbers of computers, the Windows 98 Resource Kit contains useful tools for automating and customizing the process.

I want background on the setup process

For a conceptual overview of automating and customizing the installation process for Windows 98, see Chapter 3, "Customized Installations," in the Windows 98 Resource Kit.

If you have Online Books installed, click to:

Open Windows 98 Resource Kit Book Online.

I want to standardize setup and configuration

Microsoft Batch 98 (BATCH.EXE), provides a simple user interface for specifying many setup options. It can also read the current configuration from a single computer. When all installation options have been set, BATCH.EXE generates an .Inf file that can then be run with Setup to duplicate the specified installation on another computer.

I want to know more about BATCH.EXE.

DBSET.EXE is a utility that can set environment variables and generate individualized .Inf or other text files from a database. It can be used in combination with BATCH.EXE to help automate the task of setting up and configuring Windows 98 on multiple computers.

I want to know more about DBSet.Exe.

INFINST.EXE is a utility for customizing and extending Windows 98 Setup at a setup share location. With INFINST.EXE you can easily add new device drivers, network protocols and services, and other components to Windows 98 setup.

I want to know more about InfInst.Exe.

Internet Explorer Profile Manager (PROFMGR.EXE) works like BATCH.EXE to set the configuration options for Internet Explorer.

I want to know more about Profile Manager.

I want to set System Policies for single users, single computers, or groups of users

The System Policy Editor is specifically designed for this purpose. See Chapter 8, "System Policies" in The Windows 98 Resource Kit for background and conceptual information on System Policy Editor.

I want to know more about System Policy Editor from this overview.


Maintain my Registry

Windows 98 and the Windows 98 Resource Kit together provide many new tools for maintaining and troubleshooting your computer’s configuration files, or registry. For a conceptual overview of the Windows 98 registry, see Chapter 33, "The Windows 98 Registry" in The Windows 98 Resource Kit.

If you have Online Books installed, click to:

Open Windows 98 Resource Kit Book Online.

I want to automatically backup my registry and scan it for corruption or errors

Windows 98 has significantly improved its handling of the registry with the addition of Scanreg, an automated registry maintenance utility that is installed with the core operating system. Scanreg can also be run from the command line, for instance to back up the registry before installing new hardware.

I want to know more about ScanReg.

SREDIT.EXE is a utility for customizing and optimizing the performance of ScanReg by editing the ScanReg.Ini file.

I want to know more about SREdit.Exe.

I want to change or view my registry settings without opening the registry files

Unless you know what you are doing, directly manipulating the registry can be dangerous. The Windows 98 Resource Kit provides tools to enable you to view or change configuration settings from the command line or a GUI without having to manipulate the actual registry files. This helps lessen the chance of accidentally harming your configuration.

To quickly register or delete a file association, or to find an existing association, use ASSOCIATE.EXE.

I want to know more about Associate.Exe.

While primarily a deployment tool, BATCH.EXE can also be used as a configuration diagnostic tool. By clicking the "Extract Current Configuration" button in BATCH.EXE, you can view many of the registry settings for your local machine without having to access the registry directly.

I want to know more about BATCH.EXE.

I want to view or change the registry of remote computers

The Windows 98 Remote Registry Service (REMOTREG) is a network service that allows an administrator to access the registry of Windows 98 machines.

I want to know more about REMOTREG.

I want to view, edit, or search a local or remote registry from the command line

If you need to make direct changes to the registry, the Windows 98 Resource Kit features several convenient tools which can be used from the command line or a batch file. The most important of these is REG.EXE, which enables you to add, change, delete, query, and save registry keys on a local or remote computer.

I want to know more about REG.EXE.

To compare any two registry keys on a local or remote computer, use COMPREG.EXE. Use SRCHREG.EXE if you want to search for any string in keynames, valuenames, and/or valuedata in local or remote registry Keys.

I want to know more about Compreg.

I want to know more about SrchReg.


Optimize Windows 98 for a Networked Environment

The Windows 98 Resource Kit provides solutions for administering Windows 98 client machines on a Windows 98 or mixed network.

I want to monitor network performance on Windows 98 machines

The Network Monitor driver and protocol agent is a service you can install that will allow network administrators to look at details of network performance and gather network statistics about client computers running Windows 98. With Network Monitor, you can capture and analyze network traffic and detect connection problems or potential network bottlenecks.

I want to know more Network Monitor.

I want to view or change the Registries of remote computers running Windows 98

The Windows 98 Remote Registry Service (REMOTREG) is a network service that allows an administrator to view, edit, and otherwise manipulate the registry of a remote Windows 98 machine.

I want to know more about REMOTREG.

I want to administer remote printers from a Windows 98 machine

The Remote Procedure Call Print Provider (RPCPP.EXE) is a network service that allows users to pause and cancel print jobs from Windows 98 client machines.

I want to know more about RPCPP.EXE.

I want to set policies for groups of computers on a network

Use System Policy Editor (POLEDIT.EXE) to create and maintain standard configurations for individual users, individual computers, or groups of users. Computer settings in system policies can be used to define standard desktop settings, prevent users from modifying the hardware and environment settings for the operating system, and otherwise control and limit user actions. Policy files created by System Policy Editor can be placed on a server from which they are downloaded onto individual machines at logon.

I want to know more about System Policy Editor.


Troubleshoot hardware problems

If you are setting up or upgrading computers running Windows 98, you may need to determine if specific hardware is compatible with Windows 98, or you may need information on installing and configuring peripherals and software. The Windows 98 Resource Kit contains tools that can help.

I want to find out if a piece of hardware is compatible with Windows 98

The Hardware Compatibility List (HCL.EXE) documents computers and peripherals that are Windows 98-compatible.

I want to know more about the Hardware Compatibility List.

I want to configure an adapter card

Windows 98 Adapter Card Help (W98CARD.HLP) provides detailed information on how to configure network, SCSI, and sound cards and services to work with Windows 98.

I want to know more about Windows 98 Adapter Card Help.

Open the Adapter Card help file now:

Open Adapter Card Help (W98CARD.HLP).

I want to troubleshoot my USB devices

The Windows 98 Resource Kit contains a useful tool, USBVIEW.EXE, which gives you detail information about all USB devices currently installed on your system.

I want to know more about USBVIEW.EXE.

Open USBVIEW.EXE now:

Open USB Viewer (USBVIEW.EXE).

I want to troubleshoot modem or printer problems

The Windows 98 core operating system contains useful wizards for hardware troubleshooting. To access Windows 98 help now, click the Start button, and then click Help. When the Help window opens, click the Index tab, and then type in the name of the troubleshooter you are looking for.


Troubleshoot Software or File Problems

Windows 98 and the Windows 98 Resource Kit together provide many new tools for system diagnostics and for troubleshooting your computer’s configuration. The Windows 98 Resource Kit features several utilities that are useful for locating and correcting problems with system or program files, comparing file versions or the contents of files and directories, or for optimizing the way programs run on your machine:

For a detailed description of the diagnostic and troubleshooting tools provided with Windows 98, see Chapter 29, Troubleshooting, inThe Windows 98 Resource Kit.

If you have Online Books installed, click to:

Open Windows 98 Resource Kit Book Online.

I want to troubleshoot problems with my Windows 98 setup or configuration

MSINFO32.EXE and MSCONFIG.EXE are two of the system tools that are installed automatically with Windows 98. MSINFO32.EXE is designed to be the core tool for Windows 98 system diagnostics. You can use it to diagnose computer problems, to view the details of your current configuration, to save system information to a text file or view the files created by other programs, and to launch other System tools as needed to solve your problem.

I want to know more about MSINFO32.EXE.

MSCONFIG.EXE is a tool that allows you easily to make systematic, reversible changes to your system’s configuration files, so that you can track down problems and correct them.

I want to know more about MSCONFIG.EXE.

I want information on my Windows 98 system files

FILEINFO.EXE can provide information such as file size, date, installed location, CAB file location, and a short description for virtually every file that is installed on your system by Windows 98 or Internet Explorer.

I want to know more FILEINFO.EXE.

I want to find duplicate or missing files on my system

If you suspect a program module is unable to run because of missing files, use the Dependency Walker (DEPENDS.EXE) to trace all dependencies for the module and report which ones are missing on your system.

I want to know more Dependency Walker.

To find out if a given executable is the correct type for your operating system, use EXETYPE.EXE.

I want to know more about EXETYPE.EXE.

To cut down on hard disk usage and improve performance, use DUPFINDER.EXE to locate duplicate files on your computer and optionally remove them.

I want to know more about DUPFINDER.EXE.

I want to compare the contents of two files or folders

WINDIFF.EXE provides a simple graphical interface for comparing files or directories and generating a table of their differences.

I want to know more about WINDIFF.EXE.

I want to optimize the way my programs run

WINALIGN.EXE is a tool that restructures the files of a program for optimal performance on the Intel platform. In some cases, it can make programs run faster.

I want to know more about WINALIGN.EXE.


BOOTEDIT.EXE

 Previous | Next

BOOTEDIT.EXE: Windows Boot Editor

Run Boot Editor now.

Windows Boot Editor is a tool that allows you to customize your Windows 98 startup routine. For example, with Boot Editor you can configure your system so that it automatically runs scandisk each time you start your computer. You can also specify an automatic startup menu, boot to an MS-DOS prompt, disable the Windows 98 setup banner, and make various other changes to the way your computer loads and runs Windows 98. Boot Editor is also a diagnostic tool that can be used to determine the current startup configuration of your machine.

Boot Editor works by modifying your computer’s MSDOS.SYS file.

Caution Use care when modifying your Windows 98 startup routine with Boot Editor, since each of these settings alters the way Windows 98 normally boots. Clicking the "Reset Defaults" button at any time will return the startup settings to the default Windows 98 configuration. However, be aware that this is the default setting and not the last known configuration of your machine.

Note if your boot drive is FAT32, you cannot enable the multi-boot option or setup your configuration to boot your previous version of DOS by default.

For more information

Open Boot Editor Help now.

Files Required.


CHDOSCP.EXE: CODE PAGE CHANGER

Run Code Page Changer now.

This tool provides a simple and straightforward way to change character sets (code pages) for MS-DOS-based applications. If your site uses a character set other than the default, your MS-DOS–based programs may not display properly after Windows 98 is installed—specifically, the wrong fonts or characters will appear as you type. To correct this, use CHDOSCP.EXE to change the code page used for console displays (MS-DOS-based applications and the MS-DOS prompt). This application makes all the changes for fonts and other system elements in the registry and other configuration files.

Code Page Changer topics

To use Code Page Changer

Tips for using Code Page Changer

Files Required.


CHDOSCP.EXE: To use Code Page Changer

 Previous | Next

To use Code Page Changer

Run Code Page Changer now.

To change your code page with ChDosCP.Exe:

  1. Make sure the Chdoscp file is installed in the Win98RK directory of your hard drive..

  2. Click Start, point to Run, and then type chdoscp on the command line.

  3. Select the code page you want from the list that appears.

  4. Optionally, check the "Boot after selection" check box.

  5. Click OK.

CHDOSCP automatically makes all related system changes. The next time you start Windows 98, the new code page will be used for all MS-DOS sessions.


CHDOSCP.EXE: Tips for using Code Page Changer

 Previous | Next

Tips for using Code Page Changer

  • Use this tool if your site uses a character set other than the default code page installed by Windows 98 Setup. You know that you need an alternate code page if, after installing Windows 98, your MS-DOS-based applications do not display properly — specifically, if the wrong fonts or characters appear as you type.

  • For example, the default code page installed for French Canadian under Windows 98 is 850, but your site might use code page 863 as a standard. As another example, the United States default is 437, but some companies choose to use code page 850. In these cases, use CHDOSCP to install the alternate code page.

  • This tool detects what Windows code page you’re running and displays the MS-DCS code pages and countries associated with that page. For example, if you run it on a Russian language version of Windows 98, the list box contains listings for Belarussia, Bulgaria, Macedonia , Serbia, and Ukraine, since these countries are supported by that code page.

  • Note for PC98 users : be sure that your system files (AUTOEXEC.BAT, CONFIG.SYS) are on the root of the C Drive.

Important The CHDOSCP utility is not designed to be used for changing code pages on a regular basis. Also, frequently switching the MS-DOS code page can confuse users of MS-DOS-based applications.


FAT32WIN.EXE: Fat32 Conversion Information Utility

 Previous | Next

FAT32WIN.EXE: Fat32 Conversion Information Tool

Open FAT32WIN.EXE now.

The FAT32 Conversion Information utility (FAT32WIN.EXE) estimates how much additional disk space you would gain by converting a drive to FAT32. Converting to the FAT32 file system enables you to get the best performance from Windows 98.

FAT32WIN.EXE reports the results onscreen and can also save the results to a file, FAT32WIN.txt, which lists the results for your drive(s). Entries in the FAT32WIN.TXT file have the following format:

INFO,3,1,1,4,1,C,2011,32768,1883,17555,1314.06,453.18,399.92

The first five numbers after INFO are for the listbox values you selected. Next comes the drive letter, total drive size in MB, cluster size in bytes, total folders, total files, total file bytes in MB, total slack space in MB, and total FAT32 gain in MB.

Once you have run FAT32WIN.EXE on a hard drive, you can begin the process of converting the hard disk to the FAT32 file system by clicking Convert to start the Windows 98 Drive Converter utility.

NOTE Click the Details button in the Drive Converter utility for more information about the FAT32 file system, and for important notes about converting a hard disk drive to FAT32.

Files Required.


SREDIT.EXE: ScanReg.Ini Editing Tool

Open SREdit.Exe now.

SREdit.Exe is a tool that allows you to alter common configuration settings for the Windows 98 ScanReg program. ScanReg (Registry Checker) is an automated registry verification and backup utility that is provided with Windows 98. The ScanReg.Ini file is a Windows system file that contains configuration information for the way that ScanReg runs.

SREdit.Exe works by modifying the ScanReg.Ini file, eliminating the need for the user to modify this file directly. This can be useful for creating emergency recovery disks and optimizing the performance of your computer.

With SREdit.Exe, you can make the following changes to the way that ScanReg runs:

  • Specify the directory or directories where ScanReg stores its backup copies of the Registry.

  • Set the maximum number of backup copies allowed.

  • Select additional system files (such as AutoExec.Bat, Config.Sys, or Msdos.sys) to be backed up.

  • Set ScanReg to optimize the registry. (When this value is set, ScanReg removes the space reserved in the registry for deleted keys, which typically reduces the size of the registry.)

Files Required.


TIMEZONE.EXE: Daylight Savings Time Utility

This command-line utility updates the daylight savings information for a time zone in the registry. In sets the start date and end date of daylight saving time, compensating for the variations in different countries.

Timezone syntax

Open command prompt now.

timezone StartDate EndDate

Where:

StartDate

is the date that Daylight Saving Time begins (Hour-DayOfWeek-Week-Month format).

EndDate

is the date that Daylight Saving Time ends (Hour-DayOfWeek-Week-Month format).

TimeZone example

timezone 02-0-5-04 02-2-1-10

Daylight Saving Time begins at 2:00 on the last Sunday in April (02-0-5-04), and Daylight Saving Time ends at 02:00 on the first Tuesday in October (02-2-1-10).

Files Required.


TZEDIT.EXE: Time Zone Editor

Run Time Zone Editor now.

The Windows 98 Time Zone Editor can be used to create and edit time zone entries for the Date/Time icon in Control Panel.

To use Time Zone Editor

  1. Click Time Zone Editor in the Tools Management Console, or click the link above..
  2. Select a time zone and click the Edit button to edit a time zone, or click the New button to create a new time zone entry.

For online Help, click the Help button or press the F1 key.

For more information

Open Time Zone Editor Help now.

Files Required.


WINBOOT.EXE

 Previous | Next

WINBOOT

Run WinBoot now.

WinBoot is a multiple boot utility for installing and running multiple language versions of Windows 95\98 on a single computer system. The target machine can have a single drive or multiple drives or partitions. Each language version of the operating system is independent of the others, so it appears as though only one version is installed on the machine.

Caution Multibooting between different language versions of Windows 95/98 is not supported by Microsoft. Before installing and using Winboot, please review the following topics in the WinBoot online help:

  • GENERAL WARNINGS

  • Compressed Drives

  • Multiple Drives and/or Partitions

  • Non-DBCS Aware Utilities

  • Problems with Japanese Device Drivers

  • Multibooting Windows 95 and Windows NT

  • Pan-European and European Language Versions

  • Removing a Windows 95 OS from a Mulitboot System

For more information

Open Boot Editor Help now.

Files Required.


BATCH.EXE

 Previous | Next

BATCH.EXE: Batch 98 Automated Setup Utility

Run Batch 98 Setup now.

This tool is useful for administrators and other support professionals who need to install Windows 98 on multiple computers. BATCH.EXE provides a simple interface that allows you to specify almost every setting available in Windows 98 Setup, including installation options such as target directory and computer and user information, networking options, printer and other hardware settings, and customization options.

It is often desirable to Install Batch 98 on a model system, which you can configure manually to the specifications you desire. Batch 98 can then extract the configuration information from the machine’s registry.

Once you have specified the system settings and/or verified that the acquired settings are correct, Batch.Exe saves the settings to an .INF script file, which you can then use to force the customized installation of Windows 98 on other machines.

To install Windows 98 using a BATCH.EXE-created .INF file, simply type Setup on the command line, followed by the path and filename of the file. For example:

setup c:\bsetup.inf

In many cases (depending on the settings you have specified in the .INF file), Setup can complete the installation unattended and at full speed.

Note By default, Batch.Exe is installed in the \Program Files\Microsoft Batch 98 directory when you install the Windows 98 Resource Kit. You can also install Batch.Exe on its own (for example, if you want to install it on a model machine in order to extract the machine’s system settings.)

BATCH.EXE topics

Installing Batch.Exe

For more information

Open the BATCH98.CHM help file, located in the "\Program Files\Microsoft Batch 98" directory.

Files Required.


Installing BATCH.EXE

By default, Batch.Exe is installed in the \Program Files\Microsoft Batch 98 directory during Windows 98 Resource Kit installation. If you need to install Batch.Exe on its own (for example, if you want to install it on a model machine in order to extract the machine’s system settings), you can do so using the following procedure.

To install Batch 98

  1. Insert the Windows 98 Resource Kit compact disc into your CD-ROM drive.

  2. When the autorun screen appears, click Browse this CD.

  3. In the \BATCH directory, double-click Setup.Exe.

The Batch.Exe Setup program installs Batch.Exe in the \Program Files\Microsoft Batch 98 directory, and adds a start menu item to your Programs folder.


DBSET.EXE: Bulk Configuration Utility

Dbset.Exe is a configuration utility that allows you to individualize setup scripts and other types of files. Dbset.Exe searches for and reads data in a database file and either writes the data to environment variables on the current machine, or outputs the database records to a text file. When used with a template file, DBSet can create multiple copies of a text file that are particularized for individual machines or users. In combination with Microsoft Batch 98, DBSet can assist in automated installations of Windows 98 on multiple computers.

DBSet topics

DBSet Input and Output

DBSet Syntax

DBSet Example

Using DBSet with MSBatch

Files Required.


DBSet Input and Output

Input

Dbset can use two types of files as input: text database files and text template files.

A database file contains the information to be processed in the form of records. Records are made up of a collection of fields, or units of data, separated by delimiters (such as commas). The first record in the file specifies the field names. The subsequent records contain the actual data. The following is an example of a database file:

name,machine,staticip,mailsvr

BillL,dev_02,10.555.555.1,myserver-70

SamG,dev_01,172.555.555.1,myserver-59

BobS,dev_03,192.555.555.1,myserver-40

A template file is a text file which contains variables to be replaced by data from the database file. Such template files can be modelled on any text file, including MSBatch .INF files or .Reg files. When DBSet is run with a template file, it replaces all instances of the variables with the information from the specified record in the database file, and then saves the output to a new text file. See Using DBSet with MSBatch for an example.

Output

Dbset supports two types of output: environment variables (default) or a text output file.

When Dbset writes to environment variables, the data in each field of the specified record is written to the environment variables of the current machine. The data from the v-samo record of the example database would be written to environment variables as follows:

name=SamG

machine=dev_01

staticip=172.555.555.1

server=myserver-59

Note To check the environment variable settings for your current machine, type "set" on the command line.

When the output of Dbset.Exe is written to a text file, the data in the text file is formatted according to a specified template file, or according to the default template file (Template.txt). The template file should contain an entry for each field in the database file. A sample template file for the example database file above might be:

"User"="%name%"

"MachineName"="%machine%"

"IP"=%staticip%

"Server"="%server%"

Where variables in the format "%variable%" are substituted for the actual data in the fields. When DBSet is run, it replaces the variables in the template file with the data in the fields for the record in the database that matches the search criteria. DBSet then writes this information to the specified text file.

Note When DBSet writes to environment variables, it does not use a template file. Instead, it sets each data item as equal to its field name.


DBSet syntax

DBSet [/s: delimiter] [/f [field_name]] [/d [database_file]] data

DBSet [/o field_record] [/I [template_file]] [/r [output_file ]] [/m] [data]

Where:

/s: delimiter

specifies the delimiter character used in the target database file. A delimiter is a character used to separate one field from another in a record (Default=comma). Only one delimiter character may be specified.

/f [field_name ]

sets the search field in the target database where DBSet will search for a match on the data string. The default field is the first field of each record in the database file.

/d database_file

Specifies the name and location of the database file where DBSet will look for data (default dbset.db). The database file contains records or structures of information separated into fields by delimiters. Each record has the same format which is set by the first record in the file. The first record in the file also assigns the name, or data element, of each field. The field names are the same in every record in the file and are the logical definitions of the fields. In each record following the first the fields hold data items or the actual data.

The following database file could be used in accordance with the template file in the example below.

name,machine,staticip,mailsvr

BobS,dev_03,192.555.555.1,myserver-40

SamG,dev_01,172.555.555.1,myserver-59

data

Data item to search for in database file. The default is to search for the match of data in the first field of each record in the database file. To specify another field to search, use the /f switch.

/o [field_record]

Overwrites the data item of the field specified. The Field_record variable should be replaced with a delimiter (default:comma) for each field in the target record except the field to be overwritten, which should contain the data item to be replaced. The following example specifies that DBSet should search for a record with the second field matching "BobS", and to overwrite the data in the second field (the machine field) with the data given "SamG":

dbset /o ,BobS,, SamG

/r output_file

directs the output of DBSet.Exe to the text file output_file. If the file exists, a prompt to overwrite the file appears. The data is written to the text file in the format of the template file, with the variable names replaced by data items from the database file.

/I template_file

specifies the template file DBSet will use. The template file contains a sample record with variable names (%variable%) in place of the data, specifying the format DBSet is to use in outputting its data to a text file. The default template file is "template.txt".

Example (registry file):

[HKEY_CURRENT_USER\RemoteAccess\Profile\JohnD]

"User"="SamG"

"MachineName"="dev_01"

"IP"=172.555.555.1

"Server"="myserveer-10"

A template file created from the above file:

[HKEY_CURRENT_USER\RemoteAccess\Profile\%name%]

"User"="%name%"

"MachineName"="%machine%"

"IP"=%staticip%

"Server"="%mailsvr%"

Note The /I switch should be used in combination with the /r switch.

[/m]

Specifies that DBSet will be run in prompt mode. When /m is specified, the data in each field of the matching record is displayed to the user one at a time. After each field has been displayed, the data is output to the text file or written to environment variables.


DBSet examples

Assuming the following sample database:

name,machine,staticip,mailsvr

BobS,dev_02,192.555.555.1,myserver-40

SamG,dev_03,172.555.555.1,myserver-59

And the following default template file:

"User"="%name%"

"MachineName"="%machine%"

"IP"=%staticip%

"Server"="%mailsvr%"

Then the following are examples of DBSet usage:

Dbset SamG

Locates the record containing the text string "SamG" in its first field, and then writes the data in the four fields of that record to environment variables on the current machine.

Dbset /f machine /m dev_02

Finds the record in which the data in the "machine" field matches the text string "dev_02". The data found in the matching record is displayed to the user one at a time for acceptance, and then written to environment variables on the current machine.

Dbset /r /I temp.txt BillS

Locates the record in which the data in the first field matches the text string "BillS", and then outputs the data contained in that record using the format found in the "temp.txt" template file.

Dbset /d database.db /r output.txt /f machine /I temp.txt dev_03

Accesses database.db file and locates the text string "dev_03" in the machine field of a record. Outputs the data to the output file "output.txt", using the format of "temp.txt" as a template.


DBSet examples

 Previous | Next

DBSet example: Using DBSet with MSBatch

To use DBSet with MSBatch98

  1. Create a Template file based on the MSBatch.Inf format, with variables in place of the data to be supplied from the database, as in the following example:

    ; MSBATCH.INF

    ;

    ; Copyright (c) 1995-1998 Microsoft Corporation.

    ; All rights reserved.

    ;

    [BatchSetup]

    Version=3.0 (32-bit)

    SaveDate=03/01/98

    [Version]

    Signature = "$CHICAGO$"

    [Network]

    ComputerName="%ComputerName%"

    Workgroup="%WorkGroup%"

    Description="Corporate Demo"

    Display=0

    PrimaryLogon=VREDIR

    Clients=VREDIR

    Protocols=NETBEUI, MSTCP

    Services=VSERVER

    Security=SHARE

    [MSTCP]

    LMHOSTS=1

    LMHOSTPath="C:\WINDOWS\lmhosts"

    DHCP=1

    DNS=0

    WINS=D

    [VREDIR]

    LogonDomain="%Domain%"

    ValidatedLogon=1

    [VSERVER]

    LMAnnounce=0

    MaintainServerList=2

    2. Note Variable names in the template file should be composed of the field name enclose with "%" characters (e.g., %user%). A Template file should contain a variable for each field in the database file.

  2. Save this file with the name "Template.Inf".

  3. Run DBSet with the /I and /R switches, as in the following example:

    DBSet /I template.inf /r msbatch.inf /f user BobS

    4. In this example, DBSet replaces all variables found in the template.inf file with matching data from the database record for BobS, and then saves the resulting file as a text file named "MSBatch.Inf".

  4. Run Batch Setup on the target computer using the new MSBatch.Inf file.


INFINST.EXE

 Previous | Next

INFINST.EXE: Windows 98 Inf Installer

Windows 98 Inf Installer (Infinst) allows you to add new software components or hardware drivers to the Windows 98 Setup program at an installation point. This is useful for network installations of Windows 98.

When you install Windows 98, Setup automatically detects all hardware and installs the necessary drivers by checking the Windows INF directory for the correct file. However, you may purchase new hardware whose drivers are not included in Windows 98. With INFINST.EXE, you can easily add the new hardware infs and the associated drivers to your Windows 98 Setup installation point. When you install Windows 98 from this installation point, the new drivers are installed as if they were part of the original Windows 98 Setup program.

For more information about automated installations of Windows 98, see the topic on Batch.Exe in this help file, or see Chapter 3, "Custom Installations", in the Windows 98 Resource Kit.

Notes To use Infinst.Exe, the Windows 98 installation point must be created with write permissions. Infinst.Exe cannot add files to a CD-ROM.

Caution Adding an Inf with the same name as one already included with Windows 98 or previously added with INFINST.EXE will overwrite the original Inf file.

INFINST topics

Using INFINST

Files Required.


Using INFINST

 Previous | Next

Using INF Installer

Run INF Installer now.

To add a new driver to Windows 98 Setup using INFINST.EXE

  1. Insert the CD-ROM or floppy disk that contains the new driver.

  2. Start INFINST.EXE.

  3. In the Inf section of the Inf Installer dialog box, type the path to the .Inf file or use the Browse button to find the file.

  4. In the Windows 98 Setup section, type the location of the version of Windows 98 Setup.Exe you wish to modify, or use the Browse button to find the file.

    5. Note You must have write permission to the network or disk location containing the Windows 98 setup files. That is, you cannot modify the setup files contained on a CD-ROM.

  5. Click Add Inf to add the new driver. A status dialog box will appear displaying the progress of the installation.


ANIEDIT.EXE: Animated Cursor Creator

 Previous | Next

ANIEDIT.EXE: Animated Cursor Editor

Run Animated Cursor Editor now.

Animated Cursor Editor enables you to create and edit animated cursors and icons in color or monochrome, including small Windows 98-style icons (16 colors, 16x16 pels). It can arrange and animate frames produced with Image Editor.

For more information

Open ANIEDIT Help now.

Files Required.


CHECKLINKS.EXE: Link Check Wizard

Run CHECKLINKS.EXE now.

The Link Check Wizard scans all of the link (shortcut) files on your system, and checks to see if the link points to an existing application or document. If the associated application or document is not found, the Wizard lists that file as a dead link, giving you the option to remove it.

  • To find out more information about a particular link, right-click its entry in the list of dead links.

  • To remove a link, check the box next to it.

  • To remove all of the listed links, click Select All.

When you have selected all of the links you want to remove, click Finish.

NOTE The Link Check Wizard requires Internet Explorer 4.0 or higher to run on Windows 98.

Files Required.


CLIPSTOR.EXE

Run CLIPSTOR now.

This GUI tool manages multiple Clipboard text buffers. It allows you to retrieve text from the Clipboard and store it in one of its buffers, and paste any of its buffers to the Clipboard, with your mouse.

Using CLIPSTOR

  • To store text in a CLIPSTOR buffer, simply copy the text as you normally would under Windows. Then right-click a pane in the CLIPSTOR window to insert the text into that pane.

  • To copy a text buffer from CLIPSTOR to the Clipboard, left-click the pane that contains the text you want to copy.

  • To clear a CLIPSTOR buffer, hold down the shift key and right-click the pane you want to erase.

  • To make CLIPSTOR the top-most window, hold down the control key and left-click any pane.

  • To change the number of panes in the CLIPSTOR window, pass a number on the command line to CLIPSTOR, in the form clipstor x, where x is an integer. The default is 5 panes.

For example, running clipstor 10 would create 10 panes and make that the default by storing the value in the registry.

  • To see popup information on how to use CLIPSTOR, press F1 while the tool has focus.

Related topics


CLIPTRAY.EXE

Run CLIPTRAY now.

ClipTray is a tool that allows you to store and organize chunks of text and copy them into text-based files using the clipboard. It is useful for developers, authors, support personnel, Webmasters, or anyone who needs to use the same text multiple times.

When you start ClipTray, the ClipTray icon appears in the system tray. Right-clicking on this icon brings up the ClipTray menu, containing the titles of your current entries and options for adding more. Clicking on the ClipTray Entry you wish to use will place it into the Windows clipboard, ready for pasting into any program.

ClipTray also has the ability to use more than one ClipTray text file, allowing you to access your entries by project or to distribute entries to other members of your team.

For more information

Open Clip Tray Help now.

Related topics

Files Required.


DEFPTR.EXE;printing;default printer;printer;printer: default;selecting default printer;mobile computing;notebook computers;laptop computers;portable computers;computers;computers: notebook;computers: laptop;computers: portable

 Previous | Next

DEFPTR.EXE: Default Printer

Run Default Printer now.

This tool provides a simple interface for viewing the printers installed on your system, and for quickly changing the default printer.

Network printers tend to get busy at erratic intervals, which can require periodically switching the default to avoid "traffic jams." Default Printer allows you to toggle among available printers, local and network. The tool can be used for other purposes as well: for example, to switch printers while working in applications that support only a particular printer.

Default Printer can be especially valuable for roaming users, allowing them to quickly select different default printers in different places for a docked notebook computer.

By default, Default Printer runs in trayicon mode, with its icon appearing in the system tray toward the right end of the Windows 98 taskbar. Running defptr -i disables trayicon mode, which means that clicking OK or pressing esc exits Default Printer rather than returning it to trayicon mode.

For more information

For information on Default Printer command-line switches, run defptr /? or defptr -?.

Files Required.


IMAGEDIT.EXE: Image Editor

Run Image Editor now.

Image Editor enables you to create and edit custom cursors and icons in color or monochrome, including small Windows 98-style icons (16 colors, 16x16 pels). Working with Animated Cursor Editor, Image Editor can also help create animated cursors by drawing and editing frames.

To use Image Editor

  • In Animated Cursor Editor, click New Frame or Edit Frame.

  • When you create, open, or edit a .CUR or .ICO file, Image Editor allows you to select an image type or an existing image in a file.

  • To get online Help while working in Image Editor, press F1.

For more information

Open Image Editor Help now.

Related Topics

Files Required.


MINITEL TERMINAL EMULATION

The two font files included here provide the styles required by the HyperTerminal application to emulate the look and feel of Mintel terminals. Arial Alternative is the only font that contains these graphic characters.

Minitel Topic

Installing the Minitel Terminal Emulation font set

For more information, click the Help menu in HyperTerminal.

Files Required.


Installing the Minitel Terminal Emulation fonts

 Previous | Next

Installing the Minitel Terminal Emulation font set

To Install the fonts for Minitel Terminal Emulation

  1. On the Start menu, click Settings, and then click Control Panel.

  2. Double-click Fonts. (Single-click if you are using the Active Desktop).

  3. On the File menu, click Install New Font.

  4. In the Add Fonts dialog box, open the folder containing the Minitel files (in the default installation, this will be: C:\WIN98RK\MINITEL).

  5. In the font list, select both Arial Alternative Regular (Truetype) and Arial Alternative Symbol (TrueType).

  6. Click OK.

For more information, click the Help menu in HyperTerminal.


QUICK LAUNCH EXPRESS: Application Management Tool

Open Quick Launch Express now.

Quick Launch Express is a small utility that operates from the Windows 98 system tray and gives you access to commonly-used applications and tools. When you click the Quick Launch icon, a pop-up menu appears, offering the following choice:

  • My Favorite Programs - a user-customizable list of up to five of your favorite applications.

  • Win98 System Utilities - a popup menu of all the Windows 98 system tools, normally accessible by means of a Start-Menu item that is four levels deep.

  • Internet Explorer tools - Shortcuts to tools for configuring and customizing Internet Explorer.

  • Control Panel - a list of all Windows 98 control panel items in cascading menu form.

  • Show Desktop - a quick shortcut to the Windows 98 desktop.

  • Welcome to Windows 98 - Shortcut to the Windows 98 welcome page.

  • Windows Update - shortcut to the Windows Update wizard, a tool for managing and downloading Windows 98 operating system updates over the Web.

Files Required.


QUIKTRAY.EXE

 Previous | Next

QUICK TRAY

Run QUICK TRAY now.

Quick Tray is a utility that allows you to create your own menu of favorite programs, documents, URLs, or other resources, and presents that menu as a series of small icons in the system tray of your Windows 98 desktop. This provides a simple, organized, and convenient way to start or switch between commonly used applications.

Note Quick Tray stores the information about your custom system tray menu in the Quiktray.Dat file, located in the same directory as QUIKTRAY.EXE. This file is created the first time you run Quick Tray, and can be edited with a text editor. You can also use the Quick Tray data file to create standard Quick Tray menus for multiple computers. See Quick Tray tips for more information.

Quick Tray topics

Using Quick Tray

Quick Tray Tips

Files Required.


Using Quick Tray

Run QUICK TRAY now.

You can add an application or program (a file ending in the .EXE extension), a text or document file (e.g., .TXT or .DOC), or a shortcut to a URL to the Quick Tray menu. Items are added to the Quick Tray menu by means of the Quick Tray dialog box.

  • To open Quick Tray dialog box, start Quick Tray, and then click the Quick Tray icon in the system tray.

  • To add an application, program, or document file to the Quick Tray menu, click the file in Windows Explorer and drag it into the Application window in the Quick Tray dialog box.

  • To add a link to a URL to the Quick Tray menu, first create a shortcut to the URL on your Windows 98 desktop, and then drag the shortcut into the Application window of the Quick Tray dialog box.

  • To remove an item from the Quick Tray menu, select its icon in the Quick Tray dialog box, and then click Remove.

  • To close the Quick Tray dialog box without exiting the program, click Close. This closes the Quick Tray dialog box, leaving the Quick Tray icon in the system tray.

  • To exit Quick Tray and remove the Quick Tray icon from the system tray, click the Quick Tray icon, and then click Exit in the Quick Tray dialog box.

Note If you choose to add a file other than an .EXE file to the Quick Tray menu, Windows 98 should have a registered association for that file type. For instance, a .TXT file could be associated with the Notepad program or another text editor. For more information about creating file associations, see the topic on ASSOCIATE.EXE in this help file.


Quick Tray Tips

 Previous | Next

Tips for using QUICK TRAY.EXE

  • Put a shortcut to QUIKTRAY.EXE in the Startup folder of your computer, so that it starts automatically each time you boot.

  • Create a standard Quick Tray menu configuration for members of a work group. This could contain shortcuts to network shares, commonly used Web sites, or standard applications used by the group.

To install standard Quick Tray configurations on multiple computers

  1. Configure a Quick Tray menu on a single machine, using the Quick Tray dialog box or a text editor to create or modify the Quiktray.Dat file.

  2. Copy this file to a disk or network share, and then copy it into the directory containing QUIKTRAY.EXE on the target computer.

The first time a user starts QuickTray on the target computer, Quick Tray loads the Quiktray.Dat data file and creates a menu in the target computer’s system tray with the specified links.

Note Make sure that the applications and documents in the Quick Tray menu are present on the target computer, and that the paths to the files are correct. If the Quick Tray menu includes links to network resources, edit the Quicktray.Dat file to make sure that the UNC pathname is used, and that the target user has permissions to access the file or program on the remote share. If Quick Tray cannot find a file on the target computer, it will create the file, with no data, and will display a nonfunctional icon in the system tray.

For More Information

For more information about automated installation and configuration of Windows 98, see the following topics in this help file:

BATCH.EXE

System Policy Editor


TWEAKUI.EXE: TweakUI

 Previous | Next

TweakUI

TweakUI is a Power Toy (user-interface enhancement) originally created by members of the Windows 95 Shell Development Team.

This handy "Control Panel for Type A personalities" lets you adjust and customize your Windows user interface.

With TweakUI, you can change:

  • Menu speed

  • Mouse sensitivity

  • Window animation and sound

  • Shortcut appearance and default names

  • Which icons appear on your desktop

  • Startup parameters, including whether to start the graphic user interface

  • Internet Explorer parameters

You can also create new templates.

The various tweaks are grouped under thirteen tabs: Mouse, General, Explorer, IE4, Desktop, My Computer, Control Panel, Network, New, Add/Remove, Boot, Repair, and Paranoia.

TWEAKUI.INF topics

Installing TWEAKUI

For more information

Open TWEAKUI Help now.

Files Required.


Installing TWEAKUI

To Install TWEAKUI

  1. Insert the Windows 98 Resource Kit compact disc in your CD-ROM drive.

  2. Open Windows Explorer.

  3. In the \POWERTOY directory of the Windows 98 Resource Kit compact disc, right-click TWEAKUI.INF.

  4. In the shortcut menu that appears, click Install.

  5. TweakUI is installed and the TweakUI icon [image] is added to your Control Panel. To run TweakUI, double-click this icon.


CREATEFILE.EXE

 Previous | Next

CREATEFILE.EXE:Creating Simulated Files

CreateFile is a command-line tool that creates an artificial file of any size. This is useful for testing the behavior of tools, applications, and setup programs under conditions of low free hard disk memory.

Note CREATEFILE.EXE must be run from the Command Prompt Window; it cannot be run from the Run command on the Start menu.

CREATEFILE syntax

Open command prompt now.

createfile filename [filesize]

Where:

filename

is the name of the file it will create.

[filesize]

is the size of the file it will create, in units of 1024 bytes. The filesize is optional. The default is 1024 bytes.

Example:

creatfile workfile.dat 100

Creatfile produces a 102,400 byte file of zeros called workfile.dat.

Files Required.


DEPENDS.EXE: Dependency Walker;applications, troubleshhooting;dependencies, troubleshooting;modules, troubleshooting;executables, troubleshooting;program flow;

 Previous | Next

DEPENDS.EXE: Dependency Walker

Run Dependency Walker now.

Dependency Walker is a graphical Win32 development tool that can be used to troubleshoot application problems, create setup scripts for applications, or trace the dependencies of any Win32 program module.

Dependency Walker scans any Win32 module (.EXE, .DLL, .OCX, .CPL, .SCR, and .SYS, among others) and builds a hierarchical tree diagram of all the module’s dependencies. For each dependent module found, this tool lists all the functions that are exported by that module, and in a separate window displays the functions which are being requested from it by the parent module. Another view displays the minimum set of files to run the module successfully, along with detailed information about each file, including a full path to the file, base address, version numbers, machine type, debug information, and more.

Dependency Walker can help troubleshoot system errors related to module load problems. During the module scan, Dependency Walker detects dozens of common application problems such as missing modules, invalid modules, import/export mismatches, circular dependency errors, and mismatched machine types of modules.

Dependency Walker is useful for developers, testers, system administrators, creators of setup scripts, and anyone else who needs to examine what dependencies are required to make a specific module load successfully.

You can use Dependency Walker to:

  • Find out the minimum set of files required to load a particular application.

  • Determine what functions are exported by a particular module (use Dependency Walker instead of LINK /DUMP or DUMPBIN).

  • Determine what functions a particular module actually uses in other modules.

  • Remove a module as a dependency of your application.

  • List the full path, version, base address, or machine type of all modules for a given application.

  • Troubleshoot a module load error.

Dependency Walker topic

Using Dependency Walker

For more information

For more information on using Dependency Walker:

Open Dependency Walker Help now.

Files Required.


Using Dependency Walker

When you first run DEPENDS.EXE, it automatically registers itself with your system as a handler for all Win32 binaries. This causes a "View Dependencies" item to be added to the system's context menu, which is displayed when you right-click a Win32 module file in Explorer.

To open a file in Dependency Walker, use one of three methods:

  • Right-click any Win32 module in Explorer and choose "View Dependencies" from the context menu.

  • Select File | Open from Dependency Walker's main menu.

  • Drag and drop a file on top of Dependency Walker's main window.

For more information

For more information on using Dependency Walker:

Open Dependency Walker Help now.


DUPFINDER.EXE

Run DUPFINDER now.

This GUI tool allows you to find files with duplicate names on your hard drive or a floppy disk. The duplicates are placed in a list where you can sort them, view additional information about them, rename them, delete them, or move them. Popup menus and in-place name editing are enabled as in Windows Explorer. You can limit your search for duplicates to specific directories and file types and you can optionally include read-only and hidden files. A printed report of the results is available.

Caution Be extremely careful when deleting files from your hard disk. Files that appear to be duplicates may actually be in use by more than one program or system component. DupFinder places deleted files in the Recycle Bin, from which they can be recovered should you find you have deleted the files in error.


FILEINFO.EXE

 Previous | Next

FILEINFO.EXE: Microsoft File Information

Run FILE INFORMATION now.

This tool provides information about virtually every file that is included with Windows 98 and Internet Explorer 4.0, including file sizes, dates, installed location, CAB file location, and a short description of each file. This information is useful for system or installation troubleshooting.

Using FILEINFO.EXE

To view the information on a file

  1. In the Microsoft File Information window, click the File Information tab.

  2. In the Select Product listbox, select the product (Internet Explorer 4.0 or Windows 98) for which you want to find file information.

  3. To view files by alphabetized filename, click the Select by File Name tab. To view files by extension, click the Select by File Extension tab.

  4. In the left display window, click the first letter or file extension containing the file.

Files Required.


GREPING.EXE: GRE Protocol Troubleshooting Tool;PPTP tunnel, troubleshooting;troubleshooting, Internet;troubleshooting, PPTP tunnel;virtual private network;network, virtual private;Generic Routing Protocol (GRE);

 Previous | Next

GREPING.EXE: GRE Protocol Troubleshooting Tool

GREPING.EXE is a troubleshooting utility that can determine if Generic Routing Protocol (GRE) packets are being properly sent across the Internet or through an Intranet. This can allow network administrators to determine if data is being sent properly across a virtual private network (PPTP tunnel). In order for the PPTP tunnel to successfully send packets across the Internet, every router in between must forward GRE packets (Protocol Type 47). This utility is a quick and accurate way of determining if GRE packets are being filtered out on one or more routers in the PPTP tunnel path.

Note With Windows 98 a PPTP connection can only be made over a dialup connection. This may be directly to a PPTP server or through the internet/intranet to a PPTP server.

There are two parts to this utility: GREPING.EXE (the client portion), and GRESRV.EXE (the server portion).

GREPING.EXE topics

Using GREPING.EXE

Files Required.


HCL.HLP: Hardware Compatibility List

 Previous | Next

HCL.HTM: Windows 98 Hardware Compatibility List

The Windows 98 Hardware Compatibility List is a set of html files that describe the computers and peripherals that have been tested and found compatible with Windows 98.

Installing the Hardware Compatibility List

The Hardware Compatibility list is not automatically installed when you install the Windows 98 Resource Kit.

To install the HCL on your hard drive (approximately 10MB)

  1. Insert the Windows 98 Resource Kit in your CD-ROM drive.

  2. When the autorun screen appears, click Browse this CD.

  3. Go to \Diagnose\HCL, and then click HCL.EXE.

  4. Follow the instructions that appear on your screen.

Using the Hardware Compatibility List

To use the Hardware Compatibility List

  • Click a category of hardware, and in some cases subcategories, to see a list of models that have passed compatibility testing.

Hardware Compatibility List Updates

Updates to this list will be available:

On Microsoft's World Wide Web site (if you have an Internet connection, you can click this link to go there now):

http://www.microsoft.com/hwtest/

Files Required.


KILL.EXE: Task Killing Utility

KILL.EXE is a command-line utility you can use to end one or more tasks or processes.

When using KILL, you can specify a process by its process ID number, any part of its process name, or its window title, if it has a window. You can use TLIST, a utility included with this Resource Kit, to find the process names and process IDs of currently running processes.

With KILL, you can also specify how the process is to be stopped: you can have KILL send it a command telling it to halt itself, or have KILL force the process to end.

Note For users of Kill.Exe on the Windows NT platform, note that on Windows 98 Kill.Exe will silently fail while reporting success if you try to kill a process that has open files with unsaved changes. To force a kill on such a process, type Kill /F process_id.

KILL topic

KILL syntax

Related topics

Files Required.


KILL syntax

Open command prompt now.

kill [/f] {process_id | pattern}

Where:

/?

Prints this help

/f

forces the process to terminate, rather than allowing it to halt itself.

process_id

specifies the ID number of the process to be ended.

pattern

can be either a complete process name, or an expression using wildcards that will be compared to the process names and window titles of all current processes. For example, typing kill *help* will end all processes with process names or window titles that contain "help".


MSCONFIG: System Configuration Utility

The Windows 98 System Configuration Utility (Msconfig.exe) is a system troubleshooting tool that is provided with Windows 98. It is installed in the Windows/System directory during Windows 98 Setup.

MSConfig automates the routine troubleshooting steps that Microsoft Technical Support engineers use when diagnosing issues with the Windows 98 configuration. This tool permits you to modify the system configuration through a process of elimination with check boxes, reducing the risk of typing errors previously associated with Notepad and System Configuration Editor.

System Configuration Utility also can create a backup copy of your system files before you begin a troubleshooting session. Create backup copies of your system files to ensure that the modifications made during your troubleshooting session can be reversed.

See Chapter 29 of the Windows 98 Resource Kit for more information about the System Configuration Utility.

MSConfig topics

Using MSConfig

Files Required.


Using MSConfig

To start the System Configuration Utility (MSConfig)

  1. Click Start, point to Programs, Accessories, System Tools, and then click System Information.

  2. From the Tools menu, click System Configuration Utility.

To create backups of your system configuration files with MSConfig

  1. In the System Configuration Utility, go to the General tab.

  2. Click Create Backup.

  3. Click OK.

About the tabs in MSConfig.Exe

The MSConfig dialog box contains the following tabs:

General

Enable or disable the loading of all or specific device drivers and software. Backup or Restore files.

Config.Sys

Enable or prevent the loading of specific lines in the Config.Sys file.

Autoexec.Bat

Enable or prevent the loading of specific lines in the Autoexec.Bat file.

System.Ini

Enable or prevent the loading of specific lines in the System.Ini file.

Win.Ini

Enable or prevent the loading of specific lines in the Win.Ini file.

Startup

Enable or prevent items loaded by the operating system on startup. .


MSINFO: Microsoft System Information

 Previous | Next

MSINFO32.Exe: Microsoft System Information

Microsoft System Information (MSINFO32.EXE) is a system troubleshooting tool that is provided with Windows 98. It is installed in the Program Files\Common Files\Microsoft Shared\Msinfo directory during Windows 98 Setup.

MSInfo32 is designed to be the main troubleshooting tool for your computer. You can use it to diagnose computer problems, to view the details of your current configuration, to save system information to a text file or view the files created by other programs, and to launch other System tools as needed to solve your problem.

MSInfo topics

Using MSInfo

Files Required.


Using MSInfo

To start Microsoft System Information (MSInfo32)

  • Click Start, point to Programs, Accessories, System Tools, and then click System Information.

To view files created by other programs in MSInfo

  1. From the File menu, click Open.

  2. Click File Type, and then click File to Open.

To save system information to a file

  1. From the File menu, click Open.

  2. Click Save.

You can save system information as a text file (.TXT) or in the MSInfo (.NFO) file format. The files are saved to the Windows directory by default.

To export system information

  1. From the File menu, click Open.

  2. Click Export.

MSInfo exports information in text file (.TXT) format. The files are saved to the Windows directory by default.


OLEVIEW.EXE: OLEViewer

 Previous | Next

OLEVIEW.EXE: OLE/COM Object Viewer

Run OLE/COM Object Viewer now.

OLE/COM Object Viewer is an administration and testing tool oriented towards developers, system administrators, and power users. With the OLE/COM Object viewer, you can browse, configure, activate, and test all of the Microsoft Component Object Model (COM) classes installed on your computer. Using this tool, you can also configure system-wide COM settings, including enabling or disabling Distributed COM, and activate COM classes remotely. OLE/COM Object Viewer fully supports the new Component Categories specification, which is a core COM technology.

With OLE/COM Object Viewer, you can also figure out what methods, properties, and events an ActiveX control supports and copy a properly formatted OBJECT tag to the Clipboard for inserting into an HTML document. OLE/COM Object Viewer is oriented toward developers and power users; however, the user interface offers both Expert and Novice modes.

For more information

For details on how to use OLE/COM Object Viewer:

Open OLEVIEW.HTM now.

Files Required.


TLIST.EXE: Task List Viewer

The Task List Viewer is a command-line utility that displays a list of tasks, or processes, currently running on the local computer. For each process, it shows the process ID number, process name, and, if the process has a window, the title of that window.

Task List Viewer topics

TLIST syntax

Example of TLIST output

Related topics

Files Required.


TLIST syntax

Open command prompt now.

tlist [/t]

Where:

/t

specifies that the output is to be displayed based on which processes are children/parents of which other processes.

Once you have used TLIST.EXE to find the processes running on your computer, you can end one or more of those processes by using KILL.EXE: Task Killing Utility.


Example of TLIST output

The following is an example of output from running tlist without the /t option. For each process, the process ID, process name, and window title (if any) are shown.

0 System Process

15 System

29 smss.exe

22 csrss.exe

17 winlogon.exe

42 services.exe

40 lsass.exe

57 spoolss.exe

85 tcpsvcs.exe

111 LOCATOR.EXE

102 RPCSS.EXE

37 nddeagnt.exe      NetDDE Agent

78 progman.exe       Task List

92 COMMAND.EXE           Command Prompt - tlist

49 ntvdm.exe         Microsoft Word - Document2

115 scm.exe

138 INVWIN32.EXE

135 PCMSVC32.EXE

142 SMS.EXE           Microsoft SMS Administrator

158 tlist.exe


TRANSLATE.EXE

This tool translates Win32 error codes into explanatory text strings.

Many command-line programs return numerical error codes, for example, error 2, when something goes wrong. But these codes provide no help in debugging the problem. TRANSLATE converts the Win32 error codes into their respective error messages.

For example, typing the following on a command line:

translate 32

returns the text string associated with error code 32:

The process cannot access the file because

it is being used by another process.

Files Required.


USBVIEW.EXE

Run USBView.Exe now.

USBView.Exe is a tool for developers, support personnel, and others who need to view and troubleshoot Universal Serial Bus (USB) device configuration settings. USBVIEW works by pulling information from the USB hub driver(s) on your system.

Using USBVIEW.EXE

To view information about a USB device, click the name of the device in the left-hand pane.

The standard view offers the following information:

Device Descriptor

Standard information about the device.

Connection Status

Information about current status of the device, including power requirements.

To view the following information, click the View menu, and then click Config Descriptors.

Config Descriptors

More detailed information about the device, embedded in the hardware by the manufacturer.

For More Information

For technical information about USB Device settings and standards, see the USB Specification, Version 1, at:

http://www.usb.org/

Files Required.


ADAPTER.HLP: Windows 98 Adapter Card Help

 Previous | Next

W98CARD.HLP: Windows 98 Adapter Card Help

Open Windows 98 Adapter Card Help now.

Windows 98 Adapter Card Help was created by Microsoft Product Support to assist you in the setup of network adapters, SCSI adapters, and sound cards for Windows 98. This file provides IRQ, I/O base, RAM base address, and other settings, along with illustrations that show the location for jumper settings on the cards.

Notes

  • This Help file is not intended as a replacement for the documentation provided with your adapter. It is provided as a convenience to help you configure your adapter more quickly. For information not covered in W98CARD.HLP, consult your adapter's documentation.

  • The products described in W98CARD.HLP are manufactured by vendors independent of Microsoft. Microsoft makes no warranty, implied or otherwise, regarding these products' performance or reliability.

Windows 98 Adapter Card Help topic

To use Windows 98 Adapter Card Help

Files Required.


To use Windows 98 Adapter Card Help

Open Windows 98 Adapter Card Help now.

To find information within Windows 98 Adapter Card Help:

  1. Double-click a category of adapter card from the Help Topics dialog box, then double-click a manufacturer.

  2. Click a specific adapter card name for details.


WINREP: Windows Report Tool

Open WINREP now.

The Windows Report Tool (WinRep) is an Internet-based problem reporting tool that is installed with Windows 98. With WinRep, users can submit problem reports over the Internet or an intranet to a support provider at an equipment manufacturer or corporate helpdesk.

When you submit a report with WinRep, the tool takes a snapshot of your computer settings and selected system and application files. This information can assist support personnel in troubleshooting problems with your computer's configuration.

Note WinRep.Exe is provided with your Windows 98 operating system and is installed automatically in a typical installation.

WINREP topics

Using WINREP

See Also

The WinRep Software Development Kit


Using WINREP

Note For best results, extablish a connection to the Internet before launching Windows Report Tool. If you need to establish a new Internet connection, run the Internet Connection Wizard.

To Use WINREP

  1. Click Start, then click Run, type WInrep.Exe, and then click OK. You can also click Windows Update in the Start Menu, and then click Windows Report Tool on the Windows Update Web page.

  2. In the WinRep Options menu, click User Information. Enter your information (name and phone number is required as a minimum).

  3. Type a problem in the Problem description box, describing your experience. Include the exact text of error messages encountered

    Note The first line of the problem description will become the report's title, so this first line should be a summary of the problem.

  4. Type an explanation in the Expected Results box, detailing the behavior you expect from Windows 98 when this problem is not occurring.

  5. Type a list of steps in the Steps to reproduce the problem box. It is helpful if you number the steps.

  6. Choose an area for the issue. This will direct the report to the appropriate personnel.

  7. On the File menu, click Save to backup your work and maintain a record of your issue.

  8. Click Submit to upload your report.


ASSOCIATE.EXE

This command-line utility creates or removes an association between a filename extension and an executable program in the registry. For example, if you use files with the extension ".ABC", and you have a program such as "ABCView.EXE" that allows you to open them, you can create an association with the following command:

associate .abc abcview.exe

Then, whenever you start a file with the .ABC extension from the command line or from Explorer, the file is automatically opened in ABCView.EXE.

ASSOCIATE topics

ASSOCIATE syntax

ASSOCIATE examples

Files Required.


ASSOCIATE syntax

 Previous | Next

ASSOCIATE syntax [image] Open command prompt now.

associate .ext filename [/q] [/d] [/f] [/?]

Where

.ext

is the filename extension to be associated.

filename

indicates the executable program to associate .ext with.

/q

(quiet) suppresses all interactive prompts.

/d

deletes the association if it exists.

/f

forces an overwrite or delete of the existing entry without questions.

/?

displays a usage screen.


ASSOCIATE examples

Example 1

associate .lst notepad.exe

causes all files with the .LST extension to be opened in NOTEPAD.EXE.

Example 2

associate .lst notepad.exe /d

removes the association of .LST with NOTEPAD.EXE.

Example 3

associate .lst

returns the name of the associated executable for .LST, if it exists.

Return Value

A return value of zero indicates success. Any other value indicates failure.


CLIP.EXE: Clip

This command-line utility copies text from the STDIN stream to the Windows 98 Clipboard. You can then paste the data directly into any application that can receive text from the Clipboard.

To use Clip

  1. Run any program that prints text to STDOUT and pipe the results through Clip. Clip reads from STDIN and copies the text to the Clipboard.

  2. Using the Paste command, copy the text to any application that can receive text from the Clipboard.

Note You cannot use Clip to paste into Notepad.

Clip topic

Clip examples

For more information

For syntax information, run clip /? or clip -? at the command prompt.

Related topics

Files Required.


Clip examples

Example 1

dir | clip

copies a folder listing onto the Clipboard. Next, run Wordpad (or a similar text editor) and choose Edit | Paste from the menu to paste the folder listing into Wordpad.

Note You cannot use Clip to paste into Notepad.

Example 2

clip < readme.txt

places a copy of the contents of README.TXT onto the Clipboard.

Example 3

awk -f gencode.awk input.txt | clip

places the output of the AWK program GENCODE.AWK onto the Clipboard.


COMPRESS.EXE: File Compress

This command-line utility can compress one or more files.

Compress syntax

Open command prompt now.

compress [-r] [-d] source [destination] [-?]

Where

-r

renames compressed files.

-d

updates compressed files only if out of date.

source

specifies the source file. The "*" and "?" wildcards can be used.

destination

specifies the destination file or path. The destination can be a folder. If source specifies multiple files and -r is not specified, then destination must be a folder.

-?

shows command-line help.

Related topics

Files Required.


DFLAYOUT.EXE: Compound File Layout User Tool

Run DFLAYOUT now.

This layout tool for document files enables you to optimize compound files for improved performance over low-bandwidth networks, such as the Internet. The utility is particularly useful for Web masters interested in publishing compound files on the World Wide Web.

Compound File Layout User Tool provides a graphical interface for quickly selecting and optimizing compound files. The tool launches the application associated with a selected compound file, monitors its usage pattern, and then reorganizes the file according to the usage pattern necessary to load and view the file. The application used to create the files to be optimized must be installed on the computer.

For example, Compound File Layout User Tool could be used to optimize Microsoft Word .DOC files. All the data and control structures necessary for downloading and displaying the selected file will be relocated at the beginning of the file.

Once a file has been optimized, the end user can use an asynchronous storage-enabled browser to access and read the file without having to wait until the entire file has finished downloading. An optimized file also loads faster when accessed over a network or on the local hard disk. It also may be smaller than the original file, since unused/reserved space inside the file is removed.

Files Required.


EXETYPE.EXE: Finding the Executable Type

ExeType is a command-line application that identifies the operating system environment and processor required to run a particular executable file.

You can use ExeType to determine:

  • Why an application will not run (perhaps because a subsystem is failing).

  • Whether to force MS-DOS mode if it is a bound OS/2 application.

ExeType topics

ExeType syntax

Example of ExeType output

EXETYPE.INI file

For more information

Open EXETYPE.TXT now.

Files Required.


To use ExeType

 Previous | Next

ExeType syntax [image] Open command prompt now.

exetype filename

Where

filename

is the name of the executable file you want information about.
ExeType does not support wildcards for filenames.

The EXETYPE.INI file must be somewhere in your PATH (if unsure, type path at the command prompt).


Example of ExeType output

 Previous | Next

Example of ExeType output

The file MYFILE.EXE is of the following type:

Windows 98

32 bit machine

Executable File

Built for the Intel 386 processor

Runs under the Windows GUI subsystem


EXETYPE.INI file

 Previous | Next

EXETYPE.INI file

The format of EXETYPE.INI is as follows:

[entry1]

TYPE string

ADDRESS hex value or **

OFFSET hex value

MASK hex value

VALUE hex value or !<hex value>

ADDRESS hex value or **

OFFSET hex value

MASK hex value

VALUE hex value

[entry2]

TYPE string

HEADER hex value or **

OFFSET hex value

MASK hex value

VALUE hex value

Each Entry has one TYPE field and from one to five groups of ADDRESS, OFFSET, MASK, and VALUE fields.

Note All hexadecimal values must have an even number of characters (in bytes). If an odd number of nibbles is needed, please pad with zeros.


EXPAND.EXE: File Expansion Utility

 Previous | Next

EXPAND.EXE: Expand for Windows

You can use Expand for Windows to expand one or more compressed files that have been compressed with the COMPRESS.EXE utility.

Expand syntax

Open command prompt now.

expand [drive:][path] filename [[drive:][path] filename [...]] destination [-?]

Where

[drive:][path] filename

Specifies the location and/or name of a file or set of files to be expanded. (You cannot use wildcards).

destination

Specifies the new location and/or name for the expanded file or set of files. Destination can be a drive letter and colon, directory name, filename, or combination. The destination can only be a filename if you have specified a single filename for the source filename parameter. To expand a file or set of files to a different directory and keep the original filename(s), specify only a directory as the destination.

Related topics

Files Required.


FILEVER.EXE: FileVer

This command-line tool examines the version resource structure of a file or a directory of files on either a local or remote machine and displays information on the versions of executable files such as .EXEs and .DLLs.

FILEVER is useful in determining the exact binary build of an installed component. Executable files typically have their file date and time modified to make them easy to identify as part of a major release; but hotfixes and Service Packs don't always follow this same rule.

By identifying the actual version information, it is possible to track where a fix came from. This may be useful for customers who are requested by support personnel to identify hotfixes installed on their machines.

Note FILEVER may not work against localized binaries.

For more information

For syntax, at the command prompt type filever /?

Files Required.


FINDSTR.EXE

This command-line utility finds occurrences of text or character strings in specified files.

Command Line Help

type findstr /?

FINDSTR topic

FINDSTR syntax

Files Required.


FINDSTR syntax

Open command prompt now.

FINDSTR [/B] [/E] [/L] [/R] [/S] [/I] [/X] [/V] [/N] [/M] [/O] [/F:file] [/C:string] [/G:file] [strings] [[drive:][path]filename[ ...]]

Where:

/B

Matches pattern if at the beginning of a line.

/E

Matches pattern if at the end of a line.

/L

Uses search strings literally.

/R

Uses search strings as regular expressions.

/S

Searches for matching files in the current directory and all subdirectories.

/I

Specifies that the search is not to be case-sensitive.

/X

Prints lines that match exactly.

/V

Prints only lines that do not contain a match.

/N

Prints the line number before each line that matches.

/M

Prints only the filename if a file contains a match.

/O

Prints character offset before each matching line.

/P

Skip files with non-printable characters.

/F:file

Reads file list from the specified file(/ stands for console).

/C:string

Uses specified string as a literal search string.

/G:file

Gets search strings from the specified file(/ stands for console).

strings

Text to be searched for.

[drive:][path]filename

Specifies a file or files to search.

Note Use spaces to separate multiple search strings unless the argument is prefixed with /C. For example, 'FINDSTR "hello there" x.y' searches for "hello" or "there" in file x.y. 'FINDSTR /C:"hello there" x.y' searches for "hello there" in file x.y.


LFNBACK.EXE: Long Filename Backup Utility

LFNBACK.EXE is a command-line tool that removes and restores long filenames from the files on a disk or directory. In special cases, you might need to run backup or disk management utilities created for older versions of Windows or MS-DOS that are not compatible with the extended file system capabilities of Windows 98. Or you might occasionally need to run an application that is not compatible with long filenames. In such cases, you can use the LFNBK utility to make your Windows 98 disks and directories backwards-compatible.

For example, most hard disk utility programs released before Windows 95 require updating to work correctly with Windows 95 or 98. If you use a hard disk utility that was not created especially for use with Windows 95 or 98, you might lose long filenames and you are at risk of losing data.

CAUTION The LFNBACK utility is intended for use only by experienced Windows 98 users with special needs for compatibility with older disk utilities. It is not intended for everyday use by average users. The improper use of this utility can cause serious damage to your Windows installation, including disabling the shell. If you suspect that you have run LFNBACK.Exe improperly, try running LFNBACK/R to restore your system to its condition before LFNBACK.EXE was run.

LFNBACK.EXE topics

Using LFNBACK.EXE

LFNBACK.EXE Syntax

LFNBACK.EXE Notes

Files Required.


Using LFNBACK.EXE

To preserve long filenames with disk utilities that do not recognize them:

  1. Turn off tunneling.

    2. To do this, in the System option in Control Panel, click the Performance tab, and then click File System. In the File System Performance dialog box, click the Troubleshooting tab, and check the option named Disable Long Name Preservation for Old Programs.

  2. Close all other applications. LFNBK cannot rename open files.

  3. At the command prompt, type lfnbk /b [<drive>] to back up and remove long filenames.

  4. Restart the computer, and then run the disk utility. If it is an MS-DOS - based utility, run it in MS-DOS Mode. For a Windows-based utility, run it in the usual way.

  5. At the command prompt, type lfnbk /r [drive] to restore long filenames.

  6. Turn tunneling on again, and then restart the computer.

The LFNBK utility actually renames each file with a long filename to its associated alias. The filename changes are stored in the LFNBK.DAT file in the root of the drive where you are running LFNBK. This file is used to restore long filenames (when you run LFNBK with the /r switch).


LFNBACK.EXE syntax

Open command prompt now.

LFNBACK [/v] [/b | /r | /pe] [/nt] [/force] [/p] [<drive>] [/c[:]choices] [/n] [/s] [/t[:]c,nn] [text]

Where:

/v

Reports actions on the screen.

/b

Backs up and removes long filenames on the disk.

/r

Restores previously backed-up long filenames.

/pe

Extracts errors from backup database.

/nt

Does not restore backup dates and times.

/force

Forces LFNBK to run, even in unsafe conditions.

/p

Finds long filenames, but does not convert them to 8.3 filename aliases. This reports the existing long filenames, along with the associated dates for file creation, last access, and last modification of the file.


LFNBACK.EXE notes

The following list provides some brief notes for using the LFNBK utility:

  • You cannot use LFNBK to repair long filename problems.

  • LFNBK might not be able to rename files with exact matches to long-filename aliases (i.e. the associated 8.3 name paired with each long-file name), and after LFNBK has been run the related alias is not guaranteed to be the same as it was before running LFNBK.

  • After you run LFNBK and then restart Windows 98, the default Start menu will appear, rather than your custom Start menu. After you run lfnbk /r to restore long filenames, your custom Start menu will also be restored.

  • If the directory structure changes after you run lfnbk /b, then long filenames cannot be restored with lfnbk /r. For example, if you run a disk utility that prunes or removes subdirectories, LFNBK cannot restore the long filenames within those subdirectories.


LIST.EXE

LIST.EXE is a simple MS-DOS-based text editor that supports multiple files and string searching.

To run LIST.EXE

Open command prompt now.

  • On a command line, type LIST filename.

  • For Help on List commands and switches, Press F1.

Files Required.


Posix Utilities

 Previous | Next

Win32 POSIX clones

The Windows 98 Resource Kit contains 32-bit work-alikes for ten POSIX Utilities. These clones don't use the POSIX subsystem at all, but duplicate the functionality of the corresponding POSIX tools. Click the name of a utility in the list below for more information about the tool.

Utility | MS-DOS Equivalent | Description
cat | TYPE | "conCATenator"
chmod | ATTRIB | "CHange MODe"
ls | DIR | "LiSt"
mv | REN | "MoVe"
qgrep | none | "Global Regular Expression Print" - FIND sub.
rm | DEL | "ReMove"
touch | none | Change dates.
vi | EDIT | vi ("VIsual") clone.
wc | none | "Word Count".

Files Required.


CAT.EXE

This Win32 Posix work-alike utility "prints" files to the screen and concatenates (links) multiple files or lines of keyboard input.

CAT Syntax

Open command prompt now.

cat [file1] [file2] ….[>file3]

The cat command reads information from the keyboard or from file(s), and `prints' it to the standard output, which is usually your screen. If you specify more than one file, then cat reads each file in sequence, links them together in the same order, and displays the result. To redirect the output to a new file, use the greater than (>) character.

Example:

CAT a.txt b.txt >c.txt

Creates a text file named c.txt that contains the contents of both a.txt and b.txt.

CAT >c.txt

When no source files are specifies, cat accepts input from the keyboard and writes it to the file c.txt. To end this session, cat requires an end-of-file character sequence (e.g., ctrl-z).

Command-line help

None.


CHMODE.EXE

This Win32 Posix work-alike utility sets or removes file attributes from a given file, set of files, or directory.

CHMODE Syntax

Open command prompt now.

CHMODE [/R] [/N]] [+-] [hsar]} [file1]…

Where:

/R

indicates that the command is recursive to subdirectories

/N -

indicates non-directory files.

[+-] -

indicates whether the specified attributes are to be added or removed.

[hsar] -

indicates the file attributes to be changed (Hidden, System, Archive, Read-only).

Example

CHMODE +r readme.txt

changes the file attributes for readme.txt to "Read Only".

Command-line help

Type CHMODE -?


LS.EXE

This Win32 Posix work-alike utility lists the contents of a directory or directories. It duplicates the function of the MS-DOS "Dir" command.

Typing LS alone displays a list of the files in the current directory, sorted alphabetically by filename. Wildcards may be used, as in the following:

LS *.exe

If a directory name is given as one of the arguments, LS lists the contents of that directory, as follows:

LS /Win98rk/samples

LS Syntax:

Open command prompt now.

LS [/FrqRdlt1sSvu] [files]

Where:

/F

lists the full path and filename of each file.

/r -

displays the file list in reverse alphabetical order.

/q -

Forces printing of nongraphic characters in file names as the character '?'; this is the default when output is to a terminal.

/R

produces a recursive list of all subdirectories from the current or specified directory.

/d

causes directories to be treated as files (useful in combination with the /l switch for determining directory attributes.)

/l -

lists file details, including: file attributes; size (in bytes); date, time, and year of file creation; and complete filename.

/t

sorts the file list in order of time of file modification, from most to least recent.

/1

forces the output into a single-column format.

/s

Displays the number of file system bytes actually used by each file, in units of 512, where partial units are rounded up to the next integer value. If the output is to a terminal, a total sum for all the file sizes is output on a line before the listing.

/S

sorts the file list in order of size, from smallest to largest.

/v

masks hidden files from the file list.

/u

Uses time of last access, instead of last modification of the file for sorting "t" or printing "l".

Command-line help:

Type LS -?


MV.EXE

 Previous | Next

MV.EXE

This Win32 Posix work-alike utility moves files from one location to another, replacing the MS-DOS "Move" command.

MVSyntax:

Open command prompt now.

mv [/x [/d]] file1 [ file2 ...] target

/x

removes deleted files from the source subdirectory.

/d

delays rename until the next reboot.

Command-line help:

Type MV with no parameters.


QGREP.EXE

This Win32 Posix work-alike utility searches a file or files for a given text pattern.

Command-line help:

Type QGREP -?

QGREP Syntax:

Open command prompt now.

QGREP.EXE [-?BELOXlnzvxy][-e string][-f file][-i file][strings][files]

Where:

-?

prints this message.

-B

matches pattern if at beginning of line.

-E

matches pattern if at end of line.

-L

treats search strings literally (fgrep).

-O

prints seek offset before each matching line.

-X

treats search strings as regular expressions (grep).

-l

prints only file name if file contains match.

-n

prints line number before each matching line.

-z

prints matching lines in MSC error message format.

-v

prints only lines not containing a match.

-x

prints lines that match exactly (-BE).

-y

treats upper and lower case as equivalent.

[-e string]

treats string literally as a search string.

[-f file]

reads search strings from file file (- = stdin).

[-i file]

reads file list from file named by next argument (- = stdin).

Example:

qgrep "scripting host" *.doc

Finds either "scripting" or "host" in all files ending in .doc.

qgrep -e "scripting host" *.*

finds all occurrences of the phrase "scripting host" in all files on the current directory.


RM.EXE

This Win32 Posix work-alike utility deletes files and directories. It duplicates some of the functions of the MS-DOS "Erase" and "RD" commands.

RM Syntax:

Open command prompt now.

RM [/help] [/ikft] [/x [/d]] [/r dir] files

Where:

/help

invokes command-line help for this utility.

/i

inquires of user for permission to remove each file.

/k

keeps read only files, with no prompting to remove them.

/r dir

indicates that the command is recursive for subdirectories from directory dir.

/f

forces deleting of read only files without prompting.

/t

causes an attempt to take ownership of file if delete fails.

/x

prevents deleted files from being saved in deleted subdirectory.

/d

causes a delay until next reboot before changes take effect.

Command-line help:

Type RM /help with no parameters.


TOUCH.EXE

This Win32 Posix work-alike command updates the modification time for a given file and can also be used to create dummy files from a batch file or script. It can be used with wildcard characters to update the date stamps of multiple files, as in:

touch *.c

Which updates the timestamp of all .c files in the current directory.

If a file does not exist and /c is specified, touch creates a new file of zero length.

TOUCH Syntax:

Open command prompt now.

TOUCH [/f] [/t year month day hour min sec] files

Where:

/f

forces file touch if read only.

/t

specifies a specific time other than the current time.

/c

specifies that the file be created if it does not already exist.

Command-line help:

Type TOUCH -?


VI.EXE

The VI visual editor.

VI Syntax:

Open command prompt now.

VI [-t tag] [+[num] file] [+/pat file]

Using VI

To edit a file using VI, type the following at the command line:

vi filename

VI opens in the default command mode, with the cursor at the beginning of the file.

VI commands

Command | Action
j | move down
k | move up
l | move right (also spacebar)
h | move left
^F | page forward
^B | page backward
/ | search forward for pattern (/<pattern>)
? | search backward for pattern (?<pattern>)
n | repeat last search in last search direction
y<space> | copy a character (2y<space> for 2, etc.)
yw | copy a word (2yw copies 2 words, 3yw copies 3, etc.)
yy | copy a line (2yy copies two lines, 3yy copies 3, etc.)
d"x" | delete, where "x" is a space (delete character), a w (delete word) or d (delete line),
 | prepend number just like copy (2dd deletes 2 lines, etc.)
p | paste copied or deleted text after cursor
P | paste copied or deleted text before cursor

Entering insert mode

o | insert line below cursor
O | insert line above cursor
a | insert after cursor
i | insert before cursor

Exiting insert mode

escape

Misc. commands

:q | quit
:q! | quit (force)
:wq | write file and then quit
:w | write file
:w <name> | write file to file <name>


WC.EXE

This Win32 Posix work-alike utility counts the number of characters, words, or lines in a file or files.

WC Syntax:

Open command prompt now.

WC [-l] [-w] [-c] [<filelist>]

Where:

-l

counts lines.

-w

counts words.

-c

counts characters.

Typing WC <filename> without switches reports the count of characters, words, and lines. The output may be redirected using ‘|’ or ‘>’.

Command-line help:

Type WC /help.


TEXTVIEW.EXE: TextViewer

Run TextViewer now.

TextViewer provides a graphical interface for quickly viewing text files on local or shared drives.

While this tool provides basic editing and searching capabilities, it is primarily intended for viewing similar files within multiple subfolders. For example, you could use TextViewer to skim through all the *.TXT files within this Resource Kit or all the source files (*.C; *.CPP; *.CXX) within a Software Developers Kit.

Against an image of a local or shared drive, TextViewer displays all of the "files of interest," based on a default or user-entered file mask (e.g., *.Txt). To select files for viewing, you double-click them.

Files Required.


UUCODE.EXE: 32-Bit UUDecode/UUEncode Utility

 Previous | Next

UUCODE.EXE: 32-Bit UUDecode and UUEncode Utility

Run UUEncode/Decode now.

You can use this 32-bit GUI program to encode or decode files according to the UUEncoding standard.

UUCODE topics

To decode a file

To encode a file

To have the window cleared automatically after decoding a file

Files Required.


To decode a file

To decode a file with UUCode.Exe
  1. Paste the file to be decoded into the UUCODE window. If the file is on disk, you can click Open on the File menu to bring the file into the window.

    2. If the file has multiple parts, every part must be pasted into the window, and the parts must be in correct order. You do not need to delete headers from the files to be decoded.

  2. Click the Decode button, or click the Decode! menu command.

    3. You are prompted for a location to store the decoded file.

  3. Type the location to store the file.

  4. To have the file automatically load after decoding, check the option "Load after decode" on the Options menu.

After decoding, the file will be loaded according to the Explorer file type, and minimized on the desktop.


To encode a file

To encode a file with UUCode.Exe

  1. Click the Encode button on the toolbar, or click the Encode! menu command.

  2. In the Open File to Encode dialog box, type the filename of the file to be decoded in the File Name box, and then click OK.

The encoded file is displayed in the UUCODE window. You can save the file to disk, or copy and paste it to another program.


To have the window cleared automatically after decoding a file

To have the window cleared automatically after decoding a file
  • On the Options menu, click Clear After Decode.

This command is useful if you are decoding multiple files, and you do not want to manually clear the window after each file.


WHERE.EXE

This command-line utility can be used to locate files on the hard disk or the network. Where.exe can execute recursive searches, can display file information such as date, size, or executable type, and can accept environmental variables in place of paths.

WHERE topic

WHERE syntax

Files Required.


WHERE syntax

Open command prompt now.

where [/r dir] [/q] [/t] [/e] pattern ...

Where:

/r dir

indicates a recursive search, starting with directory dir.

/q

Quiet, use exit code.

/t

tells where.exe to display the size and time of the file.

/e

tells where.exe to display the EXE type of any executable files found.

pattern

Specifies the name of a directory, file or set of files to be found. Wildcards (? or *) may be used in place of characters.

Examples

where DOS

Find ALL directories DOS in the current directory.

where $system:*.ini

Find ALL instances of files with the .ini extension along the path represented by the environmental variable system.

where /r . /e msInfo32.*

Find ALL files named "MSInfo32" along the current directory and its subdirectories, and report the executable type for executables.


WINDIFF.EXE: File and Directory Comparison

Run WINDIFF now.

WINDIFF shows the differences between specified files or folders of files. This is particularly useful for program source code.

The display either shows a summary of the comparison status of a list of files (outline mode) or a detailed line-by-line comparison of one of the files (expanded mode).

You can run WINDIFF like any other Windows-based application, using menu commands to choose files to compare and perform other actions. Or you can run WINDIFF from the command prompt with switches.

WINDIFF topics

Running WINDIFF with Menu Choices

Outline Mode Display

Expanded Mode Display

Running WINDIFF from the command-line

For more information

Open WINDIFF Help now.

Files Required.


Running WINDIFF with Menu Choices

Run WINDIFF now.

To compare two files with WINDIFF

  1. On the File menu, click Compare Files.

  2. In the Select First File dialog box, specify a filename for the first file in the comparison. Then select the other file to compare in the Select Second File dialog box.

    Note To see a detailed display of file differences, click the Expand button or double-click the entry in the file list.

To compare folders with WINDIFF

  1. On the File menu, click Compare Directories.

  2. In the Select Directories dialog box, specify two folder names and, if you want, check the Include Subdirectories check box.

WINDIFF menu topics

Outline Mode View

Expanded Mode View


Running WinDiff with Command-Line Switches

 Previous | Next

Running WINDIFF from the command-line

Open command prompt now.

windiff [paths] [saveoption]

Where:

paths

specifies path names for the comparison as a relative or absolute, network or local path to a folder or file, according to the following:

path compares what's at path with what's in the current folder.

path1 path2 compares what's at path1 with what's at path2.

saveoption

is -s {s | l | r | d} savefile

where {s | l | r | d} is any combination of these four letters to write the names of files that are:

s = the same in both paths

l = only in the left path

r = only in the right path

d = in both paths, but the two files are different

Colors

red background = left file

yellow background = right file

blue text = moved line

black text = everything else


WinDiff Outline Mode Display

 Previous | Next

Windiff: Outline Mode Display

In outline mode, the display shows one file per line with the files listed in alphabetical order—except files contained in sub-folders appear after all files in higher folders. The paths shown are all relative to the root path given when the comparison is invoked.

For example, this command:

windiff c:\temp d:\progs\new

might show:

.\myfile.txtidentical

.\hisfile.txtfiles differ

.\newest\myfile.txtonly in C:\TEMP

.\newest\x.xonly in D:\PROGS\NEW

.\oldest\fileidentical

In this case, the full paths would be:

.\myfile.txtc:\temp\myfile.txt and d:\progs\new\myfile.txt

.\hisfile.txtc:\temp\hisfile.txt and d:\progs\new\hisfile.txt

.\newest\myfile.txtc:\temp\newest\myfile.txt

.\newest\x.xd:\progs\new\newest\x.x

.\oldest\filec:\temp\oldest\file and d:\progs\new\oldest\file

The status of a file can be one of the following:

Identical

The files are identical, including white space.

Files Differ or Different Sizes

The two files differ, but possibly only in white space.

Only In path

The file exists only in one folder or the other, specified by path.

Files Differ? (Left Unreadable)

The file in the left path existed, but could not be read. There are many possible reasons. Some of the common ones are Network Error and Access Denied.

Files Differ? (Right Unreadable)

The file in the right path existed, but could not be read. The file in the left path was successfully read.

Unreadable files are treated as being different (highlighted in red, and so on).

The Options menu allows for files in any of the four categories to be either displayed or suppressed (that is, any of the 16 combinations). The categories are:

  • Identical

  • Differ (including unreadable)

  • Left only

  • Right only

Note A common source of puzzlement is a blank display caused by having only files in categories that are turned off from the Options menu. For example, all the files are identical, but identical files are not being displayed.


WinDiff Expanded Mode Display

 Previous | Next

Windiff: Expanded Mode Display

To show file differences in Expanded Mode

  1. Using the File menu, open the files or directories you wish to view.

  2. Select a file in the file list.

  3. Click the Expand button or double-click the file in the file list.

The left of the screen shows a pictorial view of the comparison. Blocks of color represent sections of the files. The left column of blocks represents the left-hand file, the right column represents the right-hand file.

Where blocks of lines match in the two files, these are shown as white blocks joined by a line connecting the block in each file. Lines that do not match are represented by a red block in the left file or a yellow block in the right file (with no connecting line).

The picture can be turned off by using the View menu.

Lines of text are displayed using the same colors. That is, lines that occur only in the left file are shown with a red background; lines that occur only in the right file are shown with a yellow background. Lines that are moved are shown with blue text against the appropriate background.

The Expand menu allows you to choose whether to look at the left file, the right file, or (the default) a merge of the two files. This merged file contains all the lines that are in either file in the order in which they occur in that file.

Lines that are common to the two files are normally shown only once. (Moved lines are shown twice: once with a red background showing where the line was in the left file, and once with a yellow background showing where the line is in the right file.)

Lines are numbered. The numbering can be turned off to save screen space or can be shown based on the left file or shown based on the right file by using the Expand menu.


NETTIME.EXE: Server Time Synchronization Tool

NETTIME.EXE is a time-zone independent command-line tool for synchronizing the time across servers. With Nettime, you can synchronize the time across servers that are located in different time zones and still maintain the time zone difference between them. This overcomes a limitation in the Windows 98 "net time" command. Nettime.Exe sets the local time according to both the time zone information of the time server and the Time Zone setting in the Date/Time option of the Control Panel of the local machine.

Nettime.Exe topics

Nettime.Exe Syntax

Files Required.


Nettime.Exe syntax

Open command prompt now.

nettime [\\computername | /DOMAIN [:domainname] | /WORKGROUP:wgname]

Where:

\\ computername

is the UNC name of a computer to be synchronized with the local machine.

/DOMAIN [: domainname]

specifies an entire domain to be synchronized with the local machine.

/WORKGROUP:wgname

specifies a workgroup to be synchronized with the local machine.


Network Monitor

 Previous | Next

NETWORK MONITOR AGENT and Protocol Driver

Network Monitor agent and protocol driver allow network administrators to look at the details of network packets, perform remote captures on a packet anywhere on the network, and gather network statistics about a group of client computers running Windows 98.

The Network Monitor application consists of a protocol driver and agent. The protocol driver provides performance counters that can be viewed with System Monitor. The Network Monitor agent (NMAGENT.EXE), which runs as a Windows 98 service, works with the protocol driver to provide access to network traffic information on client machines. To use Network Monitor to troubleshoot network problems, you must install NMAGENT.EXE on each computer you want to monitor on the network.

To view the performance counters for other machines without exposing the local machine to monitoring, you can install the protocol driver alone on the manager computer.

Note The Network Monitor application uses NetBIOS to control the remote-capture computer. If you are using the IPX/SPX-compatible protocol to connect the agent and manager computers, you must enable NetBIOS support for IPX/SPX.

NETMON topics

Installing the Network Monitor Agent on a single computer

Installing only the Microsoft Network Protocol Driver

Running Network Monitor Agent

Configuring Network Monitor Driver

Monitoring Remote Machines with System Monitor

Files Required.


Running NETMON

 Previous | Next

Installing the Network Monitor Agent on a Single Computer

To install the Network Monitor agent and protocol driver on a single computer

  1. In the Network option in Control Panel, click Add.

  2. In the Select Network Component Type dialog box, double-click Service.

  3. In the Select Network Service dialog box, click Have Disk.

  4. In the Install From Disk dialog box, type the path to the \NETADMIN\NETMON directory on the Windows 98 Resource Kit compact disc, and then click OK.

  5. In the Select Network Service dialog box, select Microsoft Network Monitor Agent from the Models list, and then click OK.

Note For information about installing the Microsoft Network Monitor agent and protocol driver by using custom setup scripts, see Chapter 3, "Custom Installations" in the Windows 98 Resource Kit. For information about using Network Monitor for performance analysis, see Chapter 28, "Performance Tuning."

If you have Online Books installed, click to:

Open Windows 98 Resource Kit Book Online.


Installing Network Protocol Driver

 Previous | Next

Installing only the Microsoft Network Protocol Driver

To install only the Microsoft Network Monitor Protocol Driver on the manager computer

  1. In the Network option in Control Panel, click Add.

  2. In the Select Network Component Type dialog box, double-click Protocol.

  3. In the Select Network Protocol dialog box, click Have Disk.

  4. In the Install From Disk dialog box, type the path to the \NETADMIN\NETMON directory on the Windows 98 Resource Kit Tools and Utilities compact disc, and then click OK.

  5. In the Select Network Protocol dialog box, select Microsoft Network Monitor Driver from the Models list, and then click OK.

Note For information about installing the Microsoft Network Monitor agent and protocol driver by using custom setup scripts, see Chapter 8, "Customizing Setup" in the Windows 98 Resource Kit. For information about using Network Monitor for performance analysis, see Chapter 36, "Performance Tuning. "

If you have Online Books installed, click to:

Open Windows 98 Resource Kit Book Online.


Running NETMON

 Previous | Next

Running Network Monitor Agent

Once it has been installed, you can run the Network Monitor agent as a service, or you can start and stop the agent as an executable application.

To start Microsoft Network Monitor Agent as an executable

  • Click the Start button, click Run, and then type nmagent.

To run Network Monitor Agent as a service

  1. In Registry Editor, select the following registry key:

    Hkey_Local_Machine\Software\Microsoft\Windows\CurrentVersion
    \RunServicesOnce

  2. From the Edit menu, point to New, and then select String Value.

  3. Type a label for the value name, such as nm agent, and then press enter.

  4. From the Edit menu, and then click Modify.

  5. In the Value Data box, type: nmagent.exe

  6. Click OK.

The Network Monitor agent continues to run after a user logs off if it is started as a service. You can, however, type a command to stop running the agent, whether the agent was started as a service or run from the command prompt.

To stop the Network Monitor agent

  • From the Start menu, click Run, and then type nmagent -close in the Open box.


Configuring Network Protocol Driver

 Previous | Next

Configuring the Microsoft Network Protocol Driver

You can configure options for Network Monitor by defining properties for the Network Monitor protocol driver. For information about using the Network Monitor driver to display system performance statistics, see Chapter 36, "Performance Tuning, " in the Windows 98 Resource Kit.

To configure the Microsoft Network Monitor protocol driver

  1. Make sure that the Network Monitor agent is not running and that System Monitor is not monitoring the performance statistics provided by the Network Monitor driver.

  2. In the Network option of Control Panel, double-click Microsoft Network Monitor Driver.

  3. In the Microsoft Network Monitor Driver Properties dialog box, click the Password tab. You can define the password that users must specify to capture data, view capture files, or access the computer remotely. The following options are available:
    • If you want to change any previously defined password, type a password in the Old Capture Password area.

    • If you want to define a password to restrict users to viewing only previously saved capture files by using the Network Monitor application, type a password in the Display Password area.

    • If you want to define a password to authorize users to connect to the computer and capture files by using the Microsoft Network Monitor application, type a password in the Capture Password area. You can define only one password for all network adapters on a computer with multiple adapters.

    • If you want to allow free access to the computer by anyone running the Network Monitor application, then make sure No Password check box is selected.
  4. If the computer has more than one network adapter, click the Describe tab, and then select the network adapter you want to monitor.

    5. You can also define a description for each network adapter in this dialog box, so the administrator running the Network Monitor application can determine which adapter to select.

  5. Click the Advanced tab. In the Value box, type the user name to be shown when an administrator running the Network Monitor application selects the Identify Network Monitor Users command.

This additional information, which is similar to a comment, is not updated or changed if another user logs on to this computer.


Monitoring Remote Machines with System Monitor

With the appropriate administrative privileges, you can use System Monitor in combination with Network Monitor Agent over the network to track the performance of remote computers. To monitor more than one computer simultaneously, you can start multiple instances of System Monitor and connect to the appropriate computers.

To monitor Network Monitor Performance Counters with System Monitor

  1. Install Microsoft Remote Registry Service on both the administrator's machine and the machine to be monitored.

    See the topic on Installing the Remote Registry Service in this help file.

  2. Install the Network Monitor Agent and Protocol Driver on the machine to be monitored.

  3. Install the Network Monitor Protocol Driver on the administrator's machine.

  4. Enable User-Level Access on the machine to be monitored.

    See the topic on Enabling Remote Administration in this help file.

  5. Enable Remote Administration of the machine to be monitored, add the necessary user as an administrator, and restart the computer.

    See the topic on Enabling Remote Administration in this help file.

  6. Start Network Monitor Agent on the machine to be monitored. (Click Start, and then click Run. On the Open line, type nmagent, and then click OK.)

  7. Install System Monitor on the Administrator's machine if it is not already installed, using the Add/Remove programs option in Control Panel.

  8. On the Administrator's machine, start System Monitor. (Click Start, point to Programs, point to Accessories, point to System Tools, and then click System Monitor.)

  9. In the System Monitor File menu, click Connect. Type the network name of the machine to be monitored.

  10. In the System Monitor Edit menu, click Add Item. In the Add Item box, click the category Network Monitor Performance Data.


POLEDIT.EXE: Windows 98 System Policy Editor

This utility sets administrative policies to define configuration settings for individual users, individual computers, or groups of users. System Policies allow you to override local registry values for user or computer settings. Computer settings in system policies can be used to define standard desktop settings, prevent users from modifying the hardware and environment settings for the operating system, and otherwise control and limit user actions. Policy files created by System Policy Editor can be placed on a server from which they are downloaded onto individual machines at logon. For detailed information about system policies and System Policy Editor, see Chapter 8, "System Policies, " in the Windows 98 Resource Kit.

Caution System Policy Editor is a powerful tool that writes directly to the registry; its use should be restricted to network administrators. To avoid unauthorized use in a networked environment, do not install this tool on users’ computers, and restrict access to the source files so that the users cannot install it themselves.

System Policy Editor Topics

Preparing to Use System Policy Editor

Using System Policies on a Network

Using System Policy Editor

For more information

For details on how to use Windows 98 System Policy Editor, see Chapter 8, "System Policies, " in the Windows 98 Resource Kit.

If you have Online Books installed, click to:

Open Windows 98 Resource Kit Book Online.

Related topics

Files Required.


Preparing to Use System Policy Editor

If you want to use system policies, you must perform the following preliminary steps:

  • On the administrator’s computer, install System Policy Editor from the \NETADMIN\POLEDIT directory on the Windows 98 Resource Kit compact disc. Decide which users can install and have access to this tool for modifying policies. For most client computers, you probably will not install System Policy Editor.

    • See Installing System Policy Editor

  • On the client computers, enable user profiles to ensure full support for system policies. If user profiles are not enabled, only the computer settings in any system policy will be written to the registry.

    • See Enabling User Profiles

  • Install support for group policies on the client computers if your site will use these.

    • See Installing Group Policies.

The system policy entries you set through System Policy Editor are reflected in the policy file (config.pol), which overwrites default user.dat and system.dat settings in the registry when the user logs on.


Installing System Policy Editor

To install System Policy Editor from the Windows 98 Resource Kit compact disc:

  1. Click Start, point to Settings, and then click Control Panel.

  2. Click the Add/Remove Programs icon.

  3. Click the Windows Setup tab, and then click Have Disk.

  4. Insert the Windows 98 Resource Kit compact disc into your CD-ROM drive. In the Install From Disk dialog box, browse to the \NETADMIN\POLEDIT directory, select the Poledit.Inf file, and then click OK.

  5. In the Have Disk dialog box, check the System Policy Editor component, and then click Install.

The above installation copies Poledit.Exe to the Windows directory and windows.adm, common.adm, and poledit.inf to the \WINDOWS\INF directory. It also makes the necessary changes to your registry and adds a start menu item to your Programs\Accessories\System Tools folder.


Installing Group Policies

If you want to use group policies, you must install that capability on each computer running Windows 98, either when you install Windows 98 using a custom setup script or by using the Add/Remove Programs option in Control Panel.

To set up capabilities for group policies using Add/Remove Programs

  1. In the Add/Remove Programs option in Control Panel, click the Windows Setup tab, and then click Have Disk.

  2. In the Install From Disk dialog box, click Browse and specify the \NETADMIN\POLEDIT directory on the Windows 98 Resource Kit compact disc.

  3. Click OK, and then click OK again in response to the dialog boxes.

  4. In the Have Disk dialog box, select the Group Policies check box, and then click Install.

Windows 98 Setup places grouppol.dll in the Windows SYSTEM directory on the client computer and makes the required registry changes.

Note For more information about adding the ability to use group policies when installing Windows 98 using custom setup scripts, see Chapter 3 "Custom Installations," and Chapter 4, "Automated Installations," in the Windows 98 Resource Kit.

If you have Online Books installed, click to:

Open Windows 98 Resource Kit Book Online.


Enabling User Profiles

You can enable user profiles after Windows 98 has been installed, either locally on a single computer or for multiple computers.

To enable user profiles on a local computer after setup

  1. In the Passwords option in Control Panel, click the User Profiles tab.

  2. Click Users can customize their preferences and desktop settings.

  3. Select the options you want under User profile settings. These options describe what should be included as part of the user profile.

  4. Shut down and restart the computer.

You can avoid having to go to each computer to enable user profiles by creating a custom setup script that enables user profiles automatically. For information about enabling user profiles centrally on multiple computers, see Chapter 4, "Automated Installations, " in the Windows 98 Resource Kit, or see the Help topic on BATCH.EXE in this Help file.


Using System Policies on a Network

The System Policy Editor allows you to create policy (.POL) files, which you can place on a central server location. When a user logs on to the network, the policy file overwrites the current settings in the registry.

You can copy system policies from the network either manually or automatically.

About Automatic Downloading

System Policy Editor allows you to create default policy files for automatic downloading. These default policy files are platform-specific. For Windows 98, the default policy file is called CONFIG.POL. For Windows NT Workstation or Server, this file is called NTCONFIG.POL. To create the policy file for a given platform, simply run System Policy Editor on a computer running that platform.

On Windows 98, WINDOWS.ADM provides a template you can use with System Policy Editor for creating a CONFIG.POL file. For automatic downloading, CONFIG.POL must be placed in the NETLOGON directory on a Window NT network or from the PUBLIC directory on a NetWare network.

Note To apply system policies to a network that uses both Windows 98 and Windows NT Workstation, run the System Policy Editor once from each platform to produce the two different files.

Windows 98 currently supports automatic downloading for Windows NT and NetWare networks. The 32-bit, protected-mode network clients -subsequently made available for other networks- might also provide support for automatic downloading.

Automatic Downloading topics

By default, Windows 98 downloads system policies automatically. However, if you switch to manual downloading, the following topics describe how to return to automatic downloading.

Automatic Downloading on NT Networks

Automatic Downloading on NetWare Networks

Viewing or Editing Default System Policies

About Manual Downloading

If you want to copy system policies manually, Windows 98 copies the system policy file from a location you specify. Manual downloading overrides automatic downloading and allows you to choose where a user’s profiles should be stored.

You can set up each computer for manual downloading individually, but this can be time-consuming. If possible (that is, when the client computers use 32-bit, protected-mode network clients), you should set up each computer for automatic downloading, and then use the Remote Update policy to point specific computers to other servers as appropriate for your environment and users.

However, for real-mode network clients, such as Novell NETX or VLM, you must enable manual downloading on each computer. After you configure the client computer, the system policy file will be downloaded the next time the user logs on.

Manual Downloading Topics

Configuring a Computer for Manual Downloading

Defining the Location of Policies on a Network


Automatic Downloading on NT Networks

To set up automatic downloading on Windows NT networks

  1. In the Network option in Control Panel, make sure that Client for Microsoft Networks is specified as the Primary Network Logon client, and that the domain is defined.

  2. Create the policy file to be downloaded and save it in the following location:

    \\primary domain controller\netlogon\config.pol


Automatic Downloading on NetWare Networks

To set up automatic downloading on NetWare networks

  1. In the Network option in Control Panel, make sure that Microsoft Client for NetWare Networks is specified as the Primary Network Logon client, and that a preferred server is specified in properties for the network client.

  2. Create the policy file to be downloaded and save it in the following location:

    \\preferred server\sys\public\config.pol

For NetWare networks, the client computers must be running Microsoft Client for NetWare Networks. If the client computers are using NETX or VLM, then policies must be downloaded manually.

Important Make sure you place system policy files on the user’s preferred server. Policy files are not available if they are stored on other NetWare servers or on computers running File and Printer Sharing for NetWare Networks.


Configuring a Computer for Manual Downloading

To configure a computer for manual downloading of system policies

  1. In System Policy Editor, on the File menu, click Open Registry.

  2. Click Local Computer.

  3. Double-click Network, double-click Update, and select Remote Update.

    – Or –

    On the File menu, click Connect.

  4. Type the name of the computer you want to configure remotely, and then click OK.

  5. Double-click the icon for that computer.

  6. Double-click Network, double-click Update, and select Remote Update.

Note The remote computer must be running the Microsoft Remote Registry service, Remote Administration must be enabled, and user-level security must be enabled.

For more information

Microsoft Remote Registry Service


Defining the Location of Policies on a Network

On Windows NT or NetWare networks where you are using automatic downloading of policies, you can set a system policy to allow manual downloading. This option works only after system policies have been downloaded automatically the first time after Windows 98 is installed. The first automatic downloading includes information in the system policies that defines the location to be used for manual downloading.

To define the location of policies for manual downloading

  1. In System Policy Editor, open config.pol, and then double-click the Default Computer icon.

  2. Double-click Windows 98 Network, then double-click Update, and then select the Remote Update checkbox.

  3. In the Update Mode box, click Manual.

  4. In the Path for manual update box, type the UNC path and file name for the system policy file you want to download. Make sure this file exists in the location you specify. (Otherwise, an error will result.)


Using System Policy Editor

Registry Mode and Policy File Mode

You can use System Policy Editor in two different modes: Registry mode and Policy File mode:

  • In Registry mode, you can directly edit the registry of the local or remote computer, and changes are reflected immediately.

    • See Using System Policy Editor in Registry Mode

  • In Policy File mode, you can create and modify system policy files (.pol) for use on other computers. In this mode, the registry is edited indirectly. Changes are reflected only after the policy is downloaded when the user logs on.

    • See Using System Policy Editor in Policy File Mode

System Policy Editor Tasks

You can do the following tasks with System Policy Editor:

  • Set entries for the default computer and user policy entries. This creates a default policy file for all users and computers, which is downloaded when the user logs on.

    • See Viewing or Editing Default System Policies

  • Create entries for individual users or individual computers. By default, these include the policy entries you defined for Default User and default computer.

    • See Creating Policies for Individual Users or Computers

  • Create entries for groups of users. By default, these include the policy entries you defined for Default User and default computer.

    • See Creating Policies for Groups

  • Specify whether and in what manner you want policies downloaded from a centralized server or specify whether you want to have policies downloaded from other specific locations for all or some users.

    • See Defining the Location of Policies on a Network

For more information

See Chapter 8, "System Policies, " in the Windows 98 Resource Kit.

If you have Online Books installed, click to:

Open Windows 98 Resource Kit Book Online.


Using System Policy Editor in Registry Mode

To use System Policy Editor in Registry mode

  • In System Policy Editor, on the File menu, click Open Registry. Then, double-click the appropriate User or Computer icon, depending on what part of the registry you want to edit. Changes are written directly to the registry after you choose Save on the File menu. After you make changes, you must shut down and restart the computer for the changes to take effect.

You can also use System Policy Editor to edit the registry of a remote computer. See the topic on Microsoft Remote Registry in this Help file for more information.

Caution Use Registry mode only when you want to make direct changes to the registry. Use extreme care when editing the registry of a local or remote computer. Do not use these tools unless you understand the changes you are making to the machine configurations. It is also highly recommended that you always back up the registry of any machine before making changes to it. You should typically change system settings by using the Control Panel options and other tools provided with Windows 98.


Using System Policy Editor in Policy File Mode

To use System Policy Editor in Policy File mode

  • In System Policy Editor, on the File menu, click New or Open to open a policy file.

Note By default, on Windows 98, System Policy Editor uses a default System Policy template file, Windows.ADM, when you create or open a policy file. The Windows.Adm system policy template contains the standard registry settings which you can enable or modify for creating Config.Pol and other policy files. If you wish, you can create your own custom Policy File templates for your corporate-specific applications, where you can define a specific set of registry settings, including settings not definable using the default Windows.Adm file. For more information on System Policy Templates, see Chapter 8, "System Policies, " in the Windows 98 Resource Kit.

If you have Online Books installed, click to:

Open Windows 98 Resource Kit Book Online.


Viewing or Editing Default System Policies

To take advantage of automatic downloading, create a policy file that contains user, computer, and group entries to reside in the NETLOGON directory of a Windows NT server or the PUBLIC directory of a NetWare server. Based on the client selected, Windows 98 automatically looks in one of these locations to download your newly created system policy.

To view or edit default system policies

  1. In System Policy Editor, on the File menu, click New File.

  2. Double-click the Default User icon to define the default settings for user-specific policies.

    3. – Or –

    Double-click the Default Computer icon to define the settings for computer-specific policies.

  3. Select the policies you want to put in place.


Creating Policies for Individual Users or Computers

To create system policies for a new user or computer

  1. In System Policy Editor, on the Edit menu, click Add User or Add Computer.

  2. Type the name of the user or computer you want to add.

System Policy Editor adds an icon for each user or computer you add.

To edit existing system policies

  1. In System Policy Editor, double-click the icon for the user or computer policies you want to edit.

  2. Select or clear policies by clicking the policy name.


Creating Policies for Groups

Group policies are supported for both Windows NT and NetWare networks. Creating policies for groups is similar to the process for creating policies for users or computers.

You must first make sure that Grouppol.Dll, which supports group policies, has been successfully installed on each client computer. For more information, see Installing Group Policies

You cannot create new groups by using System Policy Editor; you can use only existing groups on the NetWare or Windows NT network. To create a new group, use the tools provided with your network administrative software.

To create system policies for groups

  1. In System Policy Editor, on the Edit menu, click Add Group.

  2. Type the name of the group you want to add and click OK.

    – Or –

    If user-level security is enabled, click Browse and click the name of the group you want. Then, click OK.

  3. Select or clear policies by clicking the policy name.

Group policies are downloaded starting with the lowest priority group and ending with the highest priority group. All groups are processed. The group with the highest priority is processed last so that any of the settings in that group’s policy file supersede those in lower priority groups. You can use one policy file for each group, even if some of the client computers in the group do not have support installed for group policies. Client computers that are not configured for using group policies will ignore group policy files.


PROFILE MANAGER

 Previous | Next

PROFMGR.EXE: Internet Explorer Profile Manager

The Internet Explorer Profile Manager is a stand-alone version of the tool that ships on the Internet Explorer Administration Kit. With Profile Manager, you can customize Internet Explorer settings and save those settings to an .INS (Internet Settings) file. This file can be used to install and configure Internet Explorer on multiple machines, or to create a standardized browser installation package. You can use the IEAK Profile Manager to create, save, and load .ins files. All configurable options are available, providing a central location for administration.

By storing a master .ins file on the server and downloading it with each logon, administrators can adjust user option settings on an ongoing basis. By tying into existing logon scripts, administrators can manage and regularly update user settings from a centralized server.

Existing policy template files (.adm) can also be imported and applied, providing one central administration tool.

.INS files can be of three kinds:

  • Per-user profiles contain settings for an individual user. The filename usually consists of the user’s logon name plus the .INS extension.

  • Group profiles contain settings for a group, division, or department. The filename usually consists of the group’s name plus the .ins extension.

  • Default profiles contain settings that Internet Explorer uses if it cannot find either a per-user or a group .INS file. The filename is Default.Ins.

Caution You should not maintain configuration files directly on the production server. You should copy .Ins files and their companion files to a working directory, modify the files as necessary, and test the new configuration files in a lab to verify that the configuration changes work as intended. After changes have been validated, update the configuration files on the production server.

Profile Manager topics

Installing Profile Manager

Using Profile Manager

Related topics

Files Required.


Installing Profile Manager

To install Profile Manager from the Windows 98 Resource Kit compact disc:

  1. Insert the Windows 98 Resource Kit compact disc into your CD-ROM drive. When the autorun screen appears, click Browse this CD.

  2. Locate \NETADMIN\PROFMGR directory.

  3. Copy the entire contents of this directory and its subdirectories to the desired location on your hard disk, making sure to maintain the directory structure.


Using Profile Manager

To run the IEAK Profile Manager

  1. On the Start menu, click Run.

  2. Type the path to the location where you installed Profile Manager, and then type Profmgr.Exe.

    For example: c:\Profile\profmgr.exe

  3. On the File menu, click Open, and then open the .ins file from your customized browser package. (By default, the .ins file is named Install.ins).

  4. To modify settings, click Wizard Settings or System Policies and Restrictions to display the categories of settings.

  5. On the left, click each category you want to change, and then on the right, change the options you want.

  6. On the File menu, click Save.

    7. Enter the path to your .ins file, the URL to your CAB files, and the names of your CAB files if they differ from the defaults provided.

Notes

  • For more information about the settings, see the INS/ISP Reference Guide in the Microsoft Internet Explorer Administration Kit.

  • The default location for saving the .ins file is the folder within the Ie4site folder that contains the installation package for your browser. For example, in English versions, the folder is named En. If you want to move the file, you must make sure to specify the correct path to your .cab files, put the Ie4sites.dat file in this location, and make sure the download sites you specified are correct.

  • If the version number of the .ins file doesn't change, new .cab files will not be downloaded. The version number consists of the date the .ins file was modified and the number of times the file has been revised.

  • If you are familiar with .adm files, you can use the policies and restrictions you have set up in your own .adm files by clicking Policy, and then clicking Import.


PWLEDIT.EXE: Password List Editor

Use this tool to edit a user's password list file.

In Windows 98 networks that have share level access enabled, access to network resources is controlled by means of passwords. A password list (.PWL) file is a file Windows 98 uses to store (cache) the passwords you use to connect to these password-protected network resources. Logging on again with a Windows 98 password unlocks the password list file and associates those passwords with the Windows 98 password, allowing you access to the protected network resources without having to re-enter the password.

Password List Editor (PWLEDIT.EXE) allows you to view the resources listed in a user’s password list file (.PWL). It does not allow you to view the actual passwords, but it allows you to remove specific password entries if problems are encountered using a cached password.

Password List Editor works only if the password list file is unlocked, that is, if the user owning the file is logged on. It can be used to view only the contents of the logged-on user’s password list file, so you should run it on the user’s computer.

Note Password caching must be enabled in order for a .PWL file to be created on the user’s machine. In Windows 98, password caching is enabled by default. For more information on creating and maintaining password lists, see PWLEDIT.EXE notes.

PWLEDIT.EXE topics

Installing PWLEDIT.EXE

PWLEDIT.EXE notes

Files Required.


Installing PWLEDIT.EXE

To Install Password List Editor

  1. In the Add/Remove Programs option in Control Panel, click the Windows Setup tab, and then click Have Disk.

  2. In the Install From Disk dialog box, click Browse. Type the path name to \NETADMIN\PWLEDIT\PWLEDIT.INF, and then click OK.

  3. In the Have Disk dialog box, click Password List Editor, and then click Install.

The above procedure installs Pwledit.Exe in your \Windows directory and creates a start menu item in the \Programs\Accessories\System Tools folder.

To run Password List Editor

  • Click Start, point to Programs, point to Accessories, point to System Tools, and then click Password List Editor.


Notes on PWLEDIT.EXE

In order for a password list to be created, the following conditions must be met:

  • Password caching must be enabled on the user’s machine.

  • Share-level access must be enabled on the resources to which you are trying to connect.

  • For the password to be successfully cached, you must connect to the resource using the Map Network Drive option in Windows Explorer, or by typing the path to the network resource on the Run line. If you connect to the resource from a command line the password will not be added to the password list.

For more information about password lists, password caching, share- and user-level access, and Windows 98 security, see Chapter 9, "Security," in The Windows 98 Resource Kit.

If you have Online Books installed, click to:

Open Windows 98 Resource Kit Book Online.


REMOTREG: Microsoft Remote Registry Service

The Microsoft Remote Registry Service is an application that allows administrators to view and edit the registry on a remote computer running Windows 98 over a network. To use Remote Registry, the local and remote computers must each be running the Remote Registry service, and you must enable user-level security on the computer you are administering. To view or change the remote registry, you can use Registry Editor or System Policy Editor.

Note System Policy Editor allows you to access only a subset of keys on the remote registry, while Registry Editor allows you to edit the entire registry.

Caution Use extreme care when editing the registry of a local or remote computer. Do not use these tools unless you understand the changes you are making to the machine configurations. It is also highly recommended that you always back up the registry of any machine before making changes to it.

REMOTREG topics

Enabling Remote Administration

Installing Microsoft Remote Registry Services

Accessing Remote Registries with System Policy Editor

Accessing Remote Registries with Regedit

Files Required.


Enabling REMOTREG

 Previous | Next

Enabling Remote Administration

In order to monitor the performance of a remote computer or view and edit its registry with Microsoft Remote Registry Services, you must first enable user-level security and remote administration on the remote computer.

You can enable user-level security automatically in a setup script or by using the Network option in Control Panel.

To enable user-level security on the remote computer

  1. In the Network option in Control Panel, click the Access Control tab.

  2. Click the User-level Access Control button.

  3. Click OK.

Important If you enable user-level security by using the Network option in Control Panel or in a setup script, remote administration is enabled automatically for the Domain Administrator group on a Windows NT domain. On a Novell® NetWare® network, the Supervisor account (for version 3.x) or the Admin account (for version 4.0) is enabled automatically.

If you want to enable user-level security without automatically enabling remote administration, you can use system policies to enable the User-Level Access Control option. In this case, you must enable remote administration manually using the following method:

To enable remote administration manually

  1. In the Passwords option in Control Panel, click the Remote Administration tab.

  2. Make sure the Enable Remote Administration Of This Server check box is selected.

  3. If the computer is configured for share-level access control, specify the password for remote administration. If the computer is configured for user-level access control, click the Add button, and add the appropriate administrators. Click OK.


Installing Remote Registry Services

 Previous | Next

Installing Microsoft Remote Registry Services

To install Microsoft Remote Registry Services

  1. In the Network option in Control Panel, click Add.

  2. In the Select Network Component Type dialog box, double-click Service.

  3. In the Select Network Service dialog box, click Have Disk.

  4. In the Install From Disk dialog box, type the path to the \NETADMIN\REMOTREG directory on the Windows 98 Resource Kit compact disc, and then click OK.

  5. In the Install From Disk dialog box, click OK.

  6. In the Select Network Service dialog box, click Microsoft Remote Registry, and then click OK.

If you are prompted to specify the location of additional files, specify the path to the Windows 98 source files on a shared network directory or on the Windows 98 compact disc.

Notes

You must also install the Remote Registry service on the administrator’s computer to ensure that the WINREG.DLL file is in the Windows SYSTEM directory on that computer.

Make sure that both the administrator’s and user’s computers have at least one protocol in common. That can be either Microsoft NetBEUI Microsoft TCP/IP, or the IPX/SPX-compatible protocol (with or without NetBIOS).

For information about installing the Microsoft Remote Registry service and enabling remote administration by using setup scripts, see Appendix D, "MSBATCH.INF Parameters, " in the Windows 98 Resource Kit.

If you have Online Books installed, click to:

Open Windows 98 Resource Kit Book Online.


Accessing Remote Registries with System Policy Editor

Once you have installed Remote Registry Services on both the local and remote computer and have set network permissions, you can view and edit the remote registry using the following method.

To edit a remote registry by using System Policy Editor

  1. In System Policy Editor, click the File menu, and then click Connect.

  2. In the Connect dialog box, type the name of the computer you want to remotely administer, using the computer name for that computer as it appears in the Network option in Control Panel. Windows 98 connects to the registry on the specified computer (assuming you have appropriate permissions).

The title bar of System Policy Editor shows whether you are viewing a local or a remote registry.

After you have made a connection to the remote computer, you can use System Policy Editor to modify user and computer properties just as you would on a local computer.

For more information

Open the topic on System Policy Editor


Accessing Remote Registries with Regedit

Once you have installed Remote Registry Services on both the local and remote computer and have set network permissions, you can view and edit the remote registry using the following method.

To edit the registry on a remote computer by using Registry Editor

  1. Start Registry Editor by typing Regedit on a Run line.

  2. In Registry Editor, click the Registry menu, and then click Connect Network Registry.

  3. In the Connect Network Registry dialog box, type the name of the computer you want to remotely administer.

    4. Windows 98 adds the contents of the remote registry below the contents of the local registry.

  4. Make changes to the remote registry as you would the local registry.

For more information on using the Registry Editor, see Chapter 38, "Windows 98 Registry", of the Windows 98 Resource Kit.

If you have Online Books installed, click to:

Open Windows 98 Resource Kit Book Online.


RPCPP: Microsoft Remote Procedure Call Print Provider

The Microsoft Remote Procedure Call (RPC) Print Provider enhances network printing and remote administration by providing the Win32 APIs required for a Windows 98 client computer to remotely Pause and Cancel print jobs on Windows NT servers.

Using this print provider, a Windows 98 client can obtain complete accounting and job status information from the Windows NT server.

RPCPP topics

Installing RPCPP

Files Required.


Installing RPCPP

To Install RPCPP

  1. In the Network option in Control Panel, click Add.

  2. In the Select Network Component Type dialog box, double-click Service.

  3. In the Select Network Service dialog box, click Have Disk.

  4. In the Install From Disk dialog box, type the path to the \NETADMIN\RPCPP directory on the Windows 98 Resource Kit compact disc, and then click OK.

  5. In the Select Network Service dialog box, select Microsoft Network RPC Print Provider from the Models list, and then click OK.


SNMP AGENT: SNMP.EXE and related files

Use this software to monitor remote connections to computers running Windows 98 if your network uses Simple Network Management Protocol (SNMP) system management products for system management.

The Windows 98 SNMP agent conforms to the SNMP version 1 specification. This agent allows you to monitor, from an SNMP console, remote connections to computers running Windows 98. After this agent is installed, you do not need to make any other modifications to client computers to use SNMP. The SNMP agent is implemented as a Win32-based service and works using Windows Sockets over both TCP/IP and IPX/SPX.

The extension agents are implemented as Win32 DLLs.

SNMP Agent topics

Installing the SNMP Agent

Configuring the SNMP Agent

Files Required.


Installing SNMP Agent

 Previous | Next

Installing the SNMP Agent

To Install the SNMP Agent

  1. In the Network option in Control Panel, click Add.

  2. In the Select Network Component Type dialog box, double-click Service.

  3. In the Select Network Service dialog box, click Have Disk.

  4. In the Install From Disk dialog box, type the path to the \NETADMIN\SNMP directory on the Windows 98 Resource Kit compact disc, and then click OK.

  5. In the Select Network Service dialog box, select Microsoft SNMP agent from the Models list, and then click OK.

For information about installing the Microsoft SNMP agent by using custom setup scripts, see Custom, Automated, and Push Installations in the Windows 98 Resource Kit.

If you have Online Books installed, click to:

Open Windows 98 Resource Kit Book Online.


Configuring the SNMP Agent

To configure the SNMP Agent:

  • Use System Policy Editor to set the following policies for the computer:
Policy | Description
Communities | Specifies one or more groups of hosts to which this computer belongs for purposes of administration using the SNMP service. These are the communities that are allowed to query the SNMP agent.
Permitted Managers | Specifies IP or IPX addresses allowed to obtain information from an SNMP agent. If this policy is not checked, any SNMP console can query the agent.
Traps for Public Community | Specifies trap destinations, or IP or IPX addresses of hosts in the public community to which you want the SNMP service to send traps.
Internet MIB (RFC 1156) | Allows you to specify the contact name and location if you are using Internet MIB.

If you want to configure the Windows 98 SNMP agent to send traps to a community other than the public community, you must either edit the registry directly or add a new system policy.

To add SNMP communities by editing the registry

  1. In Registry Editor, select the following key:

    Hkey_Local_Machine\System\CurrentControlSet\Services

    \SNMP\Parameters\TrapConfiguration

  2. Click the Edit menu, point to New, and then click Key.

  3. Type the name that you want to specify for a new community, and press ENTER.

  4. Create a new string value for each console to which the SNMP should send traps:
    • The first value name should be 1, the second value name should be 2, and so on.

    • The value data must be the IP or IPX address of the SNMP console to which traps will be sent.

    5. To create a string value, click the new key, click the Edit menu, point to New, and then click New String. Type the value name, and then press ENTER.

    To specify the value data, click the value name, click the Edit menu, and then click Modify. In the Value Data box, type the value data, and then click OK.

To add SNMP communities by using system policies

  1. Start a text editor, and open the ADMIN.ADM file in the INF subdirectory of the Windows directory.

  2. Add an entry in the section named CATEGORY !!SNMP, specifying the following new values:
    • Name Of New Policy, which defines the text that you want to appear in System Policy Editor for this policy. You do not need to include "!!" if you use quotation marks around the name. The "!!" string is used only for Windows 98 localization, and the strings are defined at the bottom of ADMIN.ADM.

    • Name Of New Community, which defines the name of the community for which you are adding support.

The following shows the complete syntax for this entry:

POLICY "Name Of New Policy"

KEYNAME

System\CurrentControlSet\Services\SNMP\Parameters

\TrapConfiguration\Name Of New Community

PART !!Traps_PublicListbox LISTBOX

VALUEPREFIX ""

END PART

END POLICY

Note The Registry key and value names are case-sensitive. Also, the Registry key name (System\...\Name Of New Community) must be one continuous line in the ADMIN.ADM file.

For example, the following adds a policy for a community named Prv1:

POLICY "Traps for Prv1 Community"

KEYNAME

System\CurrentControlSet\Services\SNMP\Parameters\TrapConfiguration\Prv1

PART !!Traps_PublicListbox LISTBOX

VALUEPREFIX ""

END PART

END POLICY

After editing and saving ADMIN.ADM, you can see this new policy by running System Policy Editor and selecting the Computer policy under Network named SNMP. You can use this policy exactly as you would use the policy named Traps For Public Community.


WINALIGN.EXE

 Previous | Next

WINALIGN.EXE: Application Optimizing Tool

WinAlign is a tool designed to optimize the performance of executable code (binaries) on the Windows 98 platform. WinAlign works by formatting the sections of binary files along 4K boundaries. Since pages on the Intel x86 chip family are 4K, this aligns the executable sections with the memory pages, increasing the efficiency of data caching.

Most executables written for the Windows 95 or Windows 98 platform are already aligned before they ship, and should not need to be processed with WinAlign. However, legacy applications may benifit from being aligned by WinAlign.

Caution WinAlign works by restructuring an executable's files, and can cause problems with certain applications. Such damage can usually be corrected by restoring the files to their previous condition (type WinAlign [target] -r on the command line). In some cases, it may be necessary to reinstall the application.

Note Microsoft Visual C++ versions 5.0 and 6.0 also support 4K alignment of binaries. Consult the Microsoft Visual C++ documentation for more information.

Winalign Topics

Tips on Using Winalign

WinAlign Syntax

WinAlign Examples

Files Required.


Using Winalign.exe

 Previous | Next

Tips on using WINALIGN.EXE

The following filetypes should not be aligned with WinAlign:

  • Binaries using patches

  • Binaries using checksums on themselves

  • Antivirus binaries

The following file types should not be aligned, and will generate an error message if you try to use WinAlign to align them:

  • Signed binaries

  • NT system binaries

To restore files that have been previously aligned with WinAlign, type the following:

WinAlign [filename] -r

Note Winalign cannot be run from a remote drive.


WinAlign

 Previous | Next

WinAlign syntax

Open command prompt now.

winalign [target] [-x | -i | -r] [-s] [-t] [n] [g]

Where:

[target]

specifies the directory or files to be processed (default is all).

-x

causes WinAlign to work off of an exclude list. This list must be in the same location as WinAlign and must be named WinAlx.txt. It should contain a list of binary files to be skipped, one file per line (note that relative paths, but not absolute paths, may be used in this list.)

-i

causes WinAlign to work off of an include list (default). This list should be in the same location as WinAlign and be named WinAli.txt. It should contain a list of binary files to be aligned, one file per line (note that relative paths, but not absolute paths, may be used in this list.)

-r

restores previously aligned binaries.

-s

silent; causes WinAlign to run without displaying progress or status on the screen.

-t

causes the output to be directed to the text file WinAlign report.txt,, located in the directory containing WinAlign.exe.

-n

causes WinAlign to ignore the NT system file check.

-g

causes WinAlign to ignore signed binary check.


WinAlign examples

To Align all binaries in the /Win98rk directory and its subdirectories, create a blank file with the name WinAlx.txt. Place this file in the directory containing WinAlign.Exe, and then type:

winalign C:/Win98RK -X

To restore the above files to their original, unaligned condition:

winalign C:/Win98RK -R


COMPREG.EXE

 Previous | Next

COMPREG.EXE: Registry Diff

A Win32 character-based/command-line utility that enables you to compare any two registry keys on local and/or remote computers. Compreg can be useful for trouble-shooting setup and configuration over networks.

For more information on viewing the remote registry of a computer running Windows 98, see the topic on Remote Registry Service in this Help file.

COMPREG topics

COMPREG syntax

COMPREG example

Files Required.


COMPREG syntax

Open command prompt now.

compreg key1 key2 [-v] [-r] [-e] [-d] [-q] [-n] [-h] [-?]

Where:

key1 key2

Are the local or remote registry keys to compare (default: HKEY_CURRENT_USER)

The registry subtrees can be abbreviated as follows:

HKEY_CURRENT_USER=cu

HKEY_CLASSES_ROOT=cr

HKEY_USERS=us

If key2 is the name of a computer, the key name specified in key1 is appended automatically.

-v

specifies Verbose mode. Prints both differences and matches.

-r

recurses into the subkeys that only exist in the specified key.

-e

sets the error level to the error code that was in effect the last time the utility was run. By default, the error level is set to the number of differences that were found.

-d

prints only the value entry names, not the actual values.

-q

specifies Quiet mode; prints only the number of differences.

-n

specifies no colored fonts used in output (default is color).

-h

displays additional help.

-?

displays this information.


COMPREG example

 Previous | Next

COMPREG examples

The following are examples of Compreg usage:

compreg "\lm\system\currentcontrolset\control\session manager" \\MOON

compreg HKEY_USERS\Software\Microsoft \\ZODIAC\HKEY_USERS\Software\Microsoft


REG.EXE

This tool enables you to add, change, delete, search, backup, restore, and perform other operations on registry entries from the command prompt or a batch file. It can be used on both local and remote computers.

Note For more information on viewing and editing the Registries of remote computers, see the topic on Remote Registry service in this Help file.

Caution Use extreme care when editing the registry of a local or remote computer. Do not use these tools unless you understand the changes you are making to the machine configurations. It is also highly recommended that you always back up the registry of any machine before making changes to it. You should typically change system settings by using the Control Panel options and other tools provided with Windows 98.

REG.EXE topics

REG.EXE supports the following commands:

REG QUERY

Returns information about the current value entries or subkeys under a specified registry key or hive.

REG QUERY Syntax REG QUERY examples

REG ADD

Adds a new registry value entry under the specified key.

REG ADD Syntax REG ADD examples

REG UPDATE

Changes the current value of a registry entry; if there is no current entry no change will be made.

NOTE Do not use REG UPDATE to change the data type of a current entry. To change a data type, first delete the value using REG DELETE, and then add the value again using REG ADD.

REG UPDATE Syntax REG UPDATE examples

REG DELETE

Deletes a registry entry, key, or keys.

REG DELETE Syntax REG DELETE examples

REG COPY

Copies a registry entry to a new location in the registry of the current or remote machine.

REG COPY Syntax REG COPY examples

REG SAVE and REG BACKUP

Copies a specified registry entry, key, or hive, to a specified file. Useful for backing up portions of the registry prior to making changes. REG SAVE is identical to REG BACKUP.

REG SAVE and BACKUP Syntax REG SAVE and BACKUP examples

REG RESTORE

Restores a specified registry entry, key, or hive from a file created by REG SAVE or REG BACKUP.

REG RESTORE Syntax REG RESTORE examples

REG LOAD

Temporary loads a specified key or hive from a REG BACKUP or REG SAVE file into the root of the registry, e.g. for purposes of viewing, troubleshooting, or editing the registry entries of a machine that is not configured properly or is not connected to the network.

REG LOAD Syntax REG LOAD examples

REG UNLOAD

Removes a specified key or hive that has previously been loaded using REG LOAD.

REG UNLOAD Syntax REG UNLOAD examples

For more information

For usage information, at the command prompt type:

reg /?

For usage information on a specific operation, at the command prompt type:

reg operation /?

Files Required.


REG QUERY syntax

Open command prompt now.

REG QUERY RegistryPath [\\Machine] [/S]

Where:

RegistryPath

is in the format [ROOTKEY\]Key [\ValueName]

Where:

ROOTKEY

specifies the root key to start the search from (default = HKEY_LOCAL_MACHINE).

The Root key can be abbreviated as follows:

HKEY_LOCAL_MACHINE - HKLM

HKEY_CURRENT_USER - HKCU

HKEY_CLASSES_ROOT - HKCR

HKEY_CURRENT_CONFIGURATION - HKCC

Key

is the full name of a registry key under the selected ROOTKEY.

\ValueName

is the value to query under the selected key. (Optional. When omitted all keys and values under the Key are listed.)

Machine

Is the name of a remote machine (default = current machine). Do not use drive letters in specifying remote machines. Use double backslashes, followed by the name of the machine. (e.g., \\ZODIAC).

Note Only HKLM and HKU are available on remote machines. For more information on viewing remote registries on Windows 98, see the topic on Remote Registry Service.

/S, /s

Queries all subkeys under the specified key.


REG QUERY example

 Previous | Next

REG QUERY examples

The following are valid examples of REG QUERY commands:

REG QUERY HKLM\Software\Microsoft\ResKit\Setup\InstallDir

Displays the value of the InstallDir registry entry.

REG QUERY HKLM\Software\Microsoft\ResKit\Setup /S

Displays all keys and values under the Setup sub-key.


REG ADD syntax

Open command prompt now.

REG ADD RegistryPath =Value [Data Type] [\\Machine]

Where:

RegistryPath

is in the format [ROOTKEY\]Key \ValueName

Where:

ROOTKEY

specifies the root key to start the search from (default = HKEY_LOCAL_MACHINE).

The Root key can be abbreviated as follows:

HKEY_LOCAL_MACHINE - HKLM

HKEY_CURRENT_USER - HKCU

HKEY_CLASSES_ROOT - HKCR

HKEY_CURRENT_CONFIGURATION - HKCC

Key

is the full name of a registry key under the selected ROOTKEY.

\ValueName

is the name of the value to be changed under the selected key.

Value

Is the new value to assign to the ValueName for the specified registry key.

DataType

specifies the numeric or string data type to be used (default = REG_SZ). The following Data Types are recognized by REG.EXE (note that the REG_BINARY data type cannot be used):

REG_SZ

Data which consists of a simple data string.

REG_DWORD

Numeric Data, represented by a number that is four bytes long.

REG_EXPAND_SZ

An expandable data string. The text contains a variable to be replaced when called by an application.

REG_MULTI_SZ

A multiple data string, with the values separated by NULL characters, such as semi-colons.

Machine

Is the name of a remote machine (default = current machine). Do not use drive letters in specifying remote machines. Use double backslashes, followed by the name of the machine. (e.g., \\ZODIAC).

Note Only HKLM and HKU are available on remote machines. For more information on viewing remote Registries on Windows 98, see the topic on Remote Registry Service.


REG ADD example

 Previous | Next

REG ADD examples

The following are valid examples of REG ADD commands:

REG ADD HKLM\Software\MyCo\MyApp\Version=1.00

Adds the registry entry version=1.00 of type REG_SZ.

REG ADD HKLM\Software\MyCo\MyApp\MRU=fax;mail;draft REG_MULTI_SZ \\ZODIAC

Adds the registry entry MRU='fax mail draft' on machine ZODIAC.


REG UPDATE syntax

Open command prompt now.

REG UPDATE RegistryPath =Value [\\Machine]

Where:

RegistryPath

is in the format [ROOTKEY\]Key \ValueName

Where:

ROOTKEY

specifies the root key to start the search from (default = HKEY_LOCAL_MACHINE).

The Root key can be abbreviated as follows:

HKEY_LOCAL_MACHINE - HKLM

HKEY_CURRENT_USER - HKCU

HKEY_CLASSES_ROOT - HKCR

HKEY_CURRENT_CONFIGURATION - HKCC

Key

is the full name of a registry key under the selected ROOTKEY.

\ValueName

is the name of the value to be changed under the selected key.

Value

Is the new value to assign to the ValueName for the specified registry key.

DataType

specifies the numeric or string data type to be used (default = REG_SZ). The following Data Types are recognized by REG.EXE (note that the REG_BINARY data type cannot be used):

REG_SZ

Data which consists of a simple data string.

REG_DWORD

Numeric Data, represented by a number that is four bytes long.

REG_EXPAND_SZ

An expandable data string. The text contains a variable to be replaced when called by an application.

REG_MULTI_SZ

A multiple data string, with the values separated by NULL characters, such as semi-colons.

Machine

Is the name of a remote machine (default = current machine). Do not use drive letters in specifying remote machines. Use double backslashes, followed by the name of the machine. (e.g., \\ZODIAC).

Note Only HKLM and HKU are available on remote machines. For more information on viewing remote Registries on Windows 98, see the topic on Remote Registry Service.


REG UPDATE example

 Previous | Next

REG UPDATE examples

The following are valid examples of REG UPDATE commands:

REG UPDATE Software\MyCo\MyApp\Timeout=10

Replaces the existing value for Timeout with 10. Defaults to HKLM.

REG UPDATE HKLM\Software\MyCo\MyApp\MRU=fax;mail;draft

Replaces the existing value for MRU with 'fax mail draft'. (Note that MRU is assumed to be of data type REG_MULTI_SZ for this example.)


REG DELETE syntax

Open command prompt now.

REG DELETE RegistryPath [\\Machine]

Where:

RegistryPath

is in the format [ROOTKEY\]Key [\ValueName]

Where:

ROOTKEY

specifies the root key where the entry to be deleted is located (default = HKEY_LOCAL_MACHINE).

The Root key can be abbreviated as follows:

HKEY_LOCAL_MACHINE - HKLM

HKEY_CURRENT_USER - HKCU

HKEY_CLASSES_ROOT - HKCR

HKEY_CURRENT_CONFIGURATION - HKCC

Key

is the full name of a registry key under the selected ROOTKEY.

\ValueName

is the value to delete under the selected key. (Optional. When omitted all keys and values under the Key are deleted.)

Machine

Is the name of a remote machine (default = current machine). Do not use drive letters in specifying remote machines. Use double backslashes, followed by the name of the machine. (e.g., \\ZODIAC).

Notes

  • Reg Delete connot delete any top level keys.

  • Only HKLM and HKU are available on remote machines.

For more information on viewing remote Registries on Windows 98, see the topic on Remote Registry Service.


REG DELETE example

 Previous | Next

REG DELETE examples

The following are valid examples of REG DELETE commands:

REG DELETE HKLM\Software\MyCo\MyApp\Timeout

Deletes the Timeout registry entry.

REG DELETE HKLM\Software\MyCo \\ZODIAC

Deletes the ENTIRE hive MyCo on ZODIAC.


REG COPY syntax

Open command prompt now.

REG COPY Source [\\Machine] Destination [\\Machine]

Where:

Source and Destination

are in the Registry Path format [ROOTKEY\]Key [\ValueName]

Where:

ROOTKEY

specifies the root key where the entry to be copied is located (default = HKEY_LOCAL_MACHINE).

The Root key can be abbreviated as follows:

HKEY_LOCAL_MACHINE - HKLM

HKEY_CURRENT_USER - HKCU

HKEY_CLASSES_ROOT - HKCR

HKEY_CURRENT_CONFIGURATION - HKCC

Key

is the full name of a registry key under the selected ROOTKEY.

\ValueName

is the value to copy under the selected key. (Optional. When omitted all keys and values under the Key are copied.)

Machine

Is the name of a remote machine (default = current machine). Do not use drive letters in specifying remote machines. Use double backslashes, followed by the name of the machine. (e.g., \\ZODIAC).

Note Only HKLM and HKU are available on remote machines. For more information on viewing remote Registries on Windows 98, see the topic on Remote Registry Service.


REG COPY example

 Previous | Next

REG COPY examples

The following are valid examples of REG COPY commands:

REG COPY HKLM\Software\MyCo\MyApp HKLM\Software\MyCo\SaveMyApp

Copies the key MyApp and all of its entries to SaveMyApp under MyCo.

REG COPY Software\MyCo \\SAFARI Software\MyCo \\ZODIAC

Copies the ENTIRE hive MyCo on SAFARI to MyCo on ZODIAC.


REG SAVE Syntax

 Previous | Next

REG SAVE and REG BACKUP syntax

Open command prompt now.

REG SAVE RegistryPath FileName [\\Machine]

REG BACKUP RegistryPath FileName [\\Machine]

Where:

RegistryPath

is in the format [ROOTKEY\]Key

Where:

ROOTKEY

specifies the root key containing the key to be saved (default = HKEY_LOCAL_MACHINE).

The Root key can be abbreviated as follows:

HKEY_LOCAL_MACHINE - HKLM

HKEY_CURRENT_USER - HKCU

HKEY_CLASSES_ROOT - HKCR

HKEY_CURRENT_CONFIGURATION - HKCC

Key

is the full name of a registry key under the selected ROOTKEY.

FileName

Is the name of the destination disk file, without an extension. (On local machines, this file is saved as a Hidden, Read-Only file in the current directory. On remote machines, it is saved as a Hidden, Read-Only file in the Windows directory).

Machine

Is the name of a remote machine (default = current machine). Do not use drive letters in specifying remote machines. Use double backslashes, followed by the name of the machine. (e.g., \\ZODIAC).

Note Only HKLM and HKU are available on remote machines. For more information on viewing remote Registries on Windows 98, see the topic on Remote Registry Service.

Note On local machines, REG SAVE or BACKUP save the file as a Hidden, Read-Only file in the current directory. On remote machines, the file is saved as a Hidden, Read-Only file in the Windows directory for machines running Windows 98, or as a file with normal attributes in the System32 directory for machines running Windows NT.


REG SAVE example

 Previous | Next

REG SAVE and REG BACKUP examples

The following are valid examples of REG SAVE and REG BACKUP commands (note that the two commands are identical):

REG SAVE HKLM\Software\MyCo\MyApp AppBkUp

Saves the hive MyApp to the file AppBkUp.

REG BACKUP HKLM\Software\MyCo MyCoBkUp \\ZODIAC

Saves the hive MyCo on ZODIAC to the file MyCoBkUp also on ZODIAC.

Note On local machines, REG SAVE or BACKUP save the file as a Hidden, Read-Only file in the current directory. On remote machines, the file is saved as a Hidden, Read-Only file in the Windows directory for machines running Windows 98, or as a file with normal attributes in the System32 directory for machines running Windows NT.


REG RESTORE syntax

Open command prompt now.

REG RESTORE FileName KeyName [\\Machine]

Where:

FileName

Is the name of the file to be restored, without an extension. This file must have been created with REG SAVE or REG BACKUP.

KeyName

is in the format [ROOTKEY\]Key

Where:

ROOTKEY

specifies the root key containing the key to be restored (default = HKEY_LOCAL_MACHINE).

The Root key can be abbreviated as follows:

HKEY_LOCAL_MACHINE - HKLM

HKEY_CURRENT_USER - HKCU

HKEY_CLASSES_ROOT - HKCR

HKEY_CURRENT_CONFIGURATION - HKCC

Key

is the full name of a registry key under the selected ROOTKEY.

Machine

Is the name of a remote machine (default = current machine). Do not use drive letters in specifying remote machines. Use double backslashes, followed by the name of the machine. (e.g., \\ZODIAC).

Note Only HKLM and HKU are available on remote machines. For more information on viewing remote registries on Windows 98, see the topic on Remote Registry Service.


REG RESTORE example

 Previous | Next

REG RESTORE examples

The following are valid examples of REG RESTORE commands:

REG RESTORE W98RKBkUp HKLM\Software\Microsoft\ResKit

Restores the hive file W98RKBkUp overwriting the subkey ResKit.

REG RESTORE W98RKBkUp HKLM\Sofware\Microsoft\ResKit \\ZODIAC

Restores the hive file W98RKBkUp overwriting the subkey ResKit on ZODIAC.


REG LOAD syntax

Open command prompt now.

REG LOAD FileName KeyName [\\Machine]

Where:

FileName

The name of the hive file to be loaded, without an extension. This file must have been created with REG SAVE or REG BACKUP.

KeyName

specifies the temporary key to be created, in the format [ROOTKEY\]Key

Where:

ROOTKEY

specifies the root key to contain the temporary key (default = HKEY_LOCAL_MACHINE).

The Root key can be abbreviated as follows:

HKEY_LOCAL_MACHINE - HKLM

HKEY_CURRENT_USER - HKCU

HKEY_CLASSES_ROOT - HKCR

HKEY_CURRENT_CONFIGURATION - HKCC

Key

is the full name of a registry key under the selected ROOTKEY where the hive file is to be loaded, creating a new temporary key containing the contents of the hive file. This key will be non-persistent, and will be deleted on the next reboot, or with the REG UNLOAD command.

Machine

Is the name of a remote machine (default = current machine) where the hive file is to loaded. Do not use drive letters in specifying remote machines. Use double backslashes, followed by the name of the machine. (e.g., \\ZODIAC).

Note Only HKLM and HKU are available on remote machines. For more information on viewing remote registries on Windows 98, see the topic on Remote Registry Service.


REG LOAD example

 Previous | Next

REG LOAD examples

The following are valid examples of REG LOAD commands:

REG LOAD TempHive HKLM\TempHive

Loads the hive file TempHive to the Key TempHive under HKLM.

REG LOAD TempHive HKLM\TempHive \\ZODIAC

Loads the hive file TempHive to the key HKLM\TempHive on ZODIAC.


REG UNLOAD syntax

Open command prompt now.

REG UNLOAD KeyName [\\Machine]

Where:

KeyName

is the key name of the hive to be unloaded, in the format [ROOTKEY\]Key

Where:

ROOTKEY

specifies the root key containing the key to be unloaded (default = HKEY_LOCAL_MACHINE).

The Root key can be abbreviated as follows:

HKEY_LOCAL_MACHINE - HKLM

HKEY_CURRENT_USER - HKCU

HKEY_CLASSES_ROOT - HKCR

HKEY_CURRENT_CONFIGURATION - HKCC

Key

is the full name of the temporary registry key to be unloaded, under the selected ROOTKEY.

Machine

Is the name of a remote machine (default = current machine) from which a temporary hive is to be unloaded. Do not use drive letters in specifying remote machines. Use double backslashes, followed by the name of the machine. (e.g., \\ZODIAC).

Note Only HKLM and HKU are available on remote machines. For more information on viewing remote Registries on Windows 98, see the topic on Remote Registry Service.

Note You cannot unload a hive that was loaded by the system. Also, you cannot unload a hive if an application has an open handle to any subkey in the hive.


REG UNLOAD example

 Previous | Next

REG UNLOAD examples

The following are valid examples of REG UNLOAD commands:

REG UNLOAD HKLM\TempHive

Unloads the hive TempHive from HKLM.

REG UNLOAD HKLM\TempHive \\ZODIAC

Unloads the hive TempHive from the machine ZODIAC.


SRCHREG.EXE

This Win32 command-line registry search tool enables you to search for any string in keynames, valuenames, and/or valuedata in local or remote registry keys in both Windows NT and Windows 98.

SRCHREG Topics

SRCHREG syntax

SRCHREG examples

Files Required.


SRCHREG syntax

Open command prompt now.

srchreg <[-s] searchstring> < [-k] [-v] [-d] > [[-r] rootkey] [-c] [-e] [-n]

Where:

-s searchstring

is the string to search for

-r

specifies the root key to start the search from (default = HKEY_CURRENT_USER).

The Root key can be abbreviated as follows:

HKEY_LOCAL_MACHINE - lm

HKEY_CURRENT_USER - cu

HKEY_CLASSES_ROOT - cr

HKEY_USERS - us

-k

searches keynames (NB : must specify at least one of -k -v or -d)

-v

searches valuenames

-d

searches data

-c

makes the search case sensitive (default : case INsensitive)

-e

returns only exact matches (default : return all matches)

-n

specifies no color in output (default : keys red, values green, data yellow)


SRCHREG example

 Previous | Next

SRCHREG examples

The following are valid examples of Srchreg commands:

SRCHREG -s Windows -k -v -d

SRCHREG -s Windows -kvd

SRCHREG /s Windows /r \lm\software /kvde

SRCHREG Windows \lm -kd -n

SRCHREG Windows \\MOON\HKEY_LOCAL_MACHINE -d

SRCHREG Windows HKEY_CURRENT_USER\software -kvd


CHOICE.EXE: User Input for Batch Files

CHOICE prompts the user to make a choice in a batch program by displaying a prompt and pausing for the user to choose from among a set of keyboard options. You can use this command only in batch programs.

CHOICE topics

CHOICE syntax

CHOICE examples: What the user sees when you use CHOICE in a batch file

CHOICE examples: What the user sees if you leave out a prompt

CHOICE examples: What the user sees if you use the /T switch

CHOICE ERRORLEVEL note

Files Required.


To use Choice

 Previous | Next

CHOICE syntax

Open command prompt now.

choice [/c[:]choices] [/n] [/s] [/t[:]c,nn] [text]

Where:

/c[:]choices

specifies allowable keyboard options to be displayed in the prompt. With this switch, the keyboard options you specify are displayed surrounded by brackets ([]),separated by commas, and followed by a question mark (e.g., [Y,N,C]?). If you don't specify the /c switch, CHOICE uses YN as the default (displayed as [Y, N]). The colon (:) is optional.

/n

causes CHOICE not to display the prompt. The text before the prompt is still displayed, however. If you specify the /n switch, the specified keys are still valid.

/s

causes CHOICE to be case-sensitive. If the /s switch is not specified, CHOICE will accept either uppercase or lowercase input for any of the keyboard options specified in the command.

/t[:]c,nn

causes CHOICE to pause for a specified number of seconds before defaulting to a specified keyboard option. The values for the /t switch are as follows:
  • c = the character to default to after nn seconds. The character must be in the set of choices specified in the /c switch.

  • nn = the number of seconds to pause. Acceptable values are from 0 to 99. If 0 is specified, there will be no pause before defaulting.

text

specifies text you want to be displayed before the prompt. Quotation marks are necessary only if you include a switch character (/) as part of the text before the prompt. If you don't specify text, CHOICE displays only a prompt.


CHOICE examples: What the user sees when you use CHOICE in a batch file

If you use the following syntax in a batch file:

choice /c:ync

then the user sees the following when CHOICE is started:

[Y,N,C]?

If you add text to the syntax:

choice /c:ync Yes, No, or Continue

then the user sees the following when CHOICE is started:

Yes, No, or Continue [Y,N,C]?


CHOICE examples: What the user sees if you leave out a prompt

If you use the /N switch to leave out the prompt in a batch program, as follows:

choice /n Yes, No, or Continue?

then the user sees only the text you specified when CHOICE is started:

Yes, No, or Continue?


CHOICE examples: What the user sees if you use the /T switch

If you use the following syntax in a batch program:

choice /c:ync /t:n,5

then the user sees the following when CHOICE is started:

[Y,N,C]?

If the user does not press a key after 5 seconds, CHOICE chooses N and returns an ERRORLEVEL value of 2. If the user presses a key before 5 seconds, CHOICE returns the value corresponding to the user's choice.


CHOICE ERRORLEVEL note

ERRORLEVEL is set to the offset of the key that the user presses, from among the options specified in choices.

The first key you assign returns a value of 1, the second a value of 2, the third a value of 3, and so on. If the user presses a key that is not among the options specified by the /c switch, CHOICE sounds a warning beep (that is, it sends a BEL, or 07h, character to the console).

If CHOICE detects an error condition, it returns an ERRORLEVEL value of 255.

If the user presses CTRL+BREAK or CTRL+C, CHOICE returns an ERRORLEVEL value of 0.

When you use ERRORLEVEL parameters in a batch program, list them in decreasing order.


FORFILES.EXE

This command-line utility can be used in a batch file to select files in a folder or tree for batch processing.

FORFILES enable you to run a command on or pass arguments to multiple files. For example, you could run the TYPE command on all files in a tree with the *.TXT extension. Or you could execute every batch file (*.BAT) on the C:\ drive with the filename "MYINPUT.TXT" as the first argument.

FORFILES works by implementing the "recurse subdirectories" flag on tools designed to process only a single file.

FORFILES topic

FORFILES syntax

Files Required.


FORFILES syntax

Open command prompt now.

forfiles [-p path] [-m searchmask] [-c command] [-d ddmmyy] [-s] [-v] [-?]

Where:

-p path

indicates a path on which to start searching.

The default folder is the current one from which forfiles is run.

-m searchmask

searches files according to searchmask.

The default searchmask is *.*

-c command

indicates a command to execute on each file.

The default command is "cmd /c echo @FILE"

The following variables can be used in command : @FILE, @PATH, @RELPATH

-d ddmmyy

selects files with a date greater than or equal to ddmmyy.

-s

instructs forfiles to recurse into subdirectories.

-v

runs forfiles in verbose mode.

-?

displays this usage screen

Example

forfiles -pc:\ -s -m*.BAT -c"cmd /c echo @FILE is a batch file"


FREEDISK.EXE

This command-line utility checks for free disk space. When it is used in a batch file, it returns a 0 if there is enough space and a 1 if there isn't. When used from the command line, Freedisk returns "OK" when the disk space is available, and "Too Small" when it isn’t.

Freedisk syntax

Open command prompt now.

freedisk drive SizeRequired

Where:

drive

specifies the drive to be checked.

SizeRequired

specifies the disk space needed, in bytes.

Freedisk example

C:>Freedisk c: 500000000

OK

Indicates that there is at least 500 MB of free space available on Drive C.

Files Required.


LOGTIME.EXE

A command-line tool that logs the start or finish of command-line programs from a batch file. This can be useful for timing and tracking batch jobs such as mail-address imports.

LOGTIME creates a log file, LOGTIME.LOG, with a date-and-time stamp next to the specified parameter (text_string in LOGTIME syntax). When called from within a batch file, the date-and-time stamp records when LOGTIME (with the given parameter) was run by the batch file. If, for example, LOGTIME is run before and after a command-line program in a batch file, LOGTIME.LOG will record the start and stop time of that program (see GO.BAT in LOGTIME syntax).

New information is appended to LOGTIME.LOG; the file is not overwritten.

LOGTIME topic

LOGTIME syntax

Files Required.


LOGTIME syntax

Open command prompt now.

logtime [text_string] [/?]

Where:

text_string

specifies the message you wish to display.

/?

displays usage instructions.

Sample batch file: GO.BAT

logtime "begin import program"

import.exe

logtime "end import program"

LOGTIME.LOG output for GO.BAT

05/27/96 13:14:19 begin import program

05/27/96 13:15:07 end import program


MCOPY.EXE

This command-line utility can be used in place of the MS-DOS Copy command in a batch file to copy specified files from one directory to another. It differs from the Copy command in that it creates a log file during the operation, which can be useful for troubleshooting or administrative purposes.

MCOPY topic

MCOPY syntax

Files Required.


MCOPY syntax

Open command prompt now.

mcopy errorfile source destination

Where:

errorfile

indicates the log file for the copy operation.

source

Specifies the location and name of a file or set of files from which you want to copy. Source can consist of a drive letter and colon, a directory name, a filename, or a combination.

destination

Specifies the location and name of a file, set of files, or a directory to which you want to copy. Destination can consist of a drive letter and colon, a directory name, a filename, or a combination.

-d ddmmyy

selects files with a date greater than or equal to ddmmyy.

Example

Mcopy  mycopy.txt c:/windows/system.ini c:/startlog


NOW.EXE: Now

Now displays the current date and time on STDOUT, followed by any command-line arguments you add.

Now is similar to the MS-DOS ECHO command, but with a timestamp. The utility is useful for logging times from .BAT files in order to track progress.

The output from the NOW command can be redirected via > or |, if required.

Now topic

Now syntax

Files Required.


Now syntax

Open command prompt now.

now [message] [/?]

Where:

message

specifies the message you wish to display.

/?

displays usage instructions.

For example, typing:

now Download Completed.

elicits this reply:

Tue Aug 01 00:57:26 1995 Download Completed.


Regina REXX Scripting Language

Regina REXX is a full scripting language with registry access, event log functions, and OLE automation support.

Because it can be used as a batch language for any application that also supports OLE automation, it is fully integrated into the Win32 environment. For example, you can use an OLE-compatible spreadsheet to generate and save formatted reports or perform advanced filtering.

Regina REXX topics

To use Regina REXX

Regina REXX example

For more information

Open REXX.DOC now.

Copyright Notice:
The files for the Regina REXX scripting language are the only files covered by the GNU Library General Public License. All other files are copyrighted by Microsoft Corporation or the respective owners, and are subject to the terms of a separate license agreement.

Related topics

Files Required.


To use Regina REXX

Prepare a script file with NOTEPAD.EXE or other text file editor. To execute the script, run REXX.EXE with the name of the script file. At the command line, type:

rexx scriptfile

Where:

scriptfile

is the filename of the script file to use.


Regina REXX example

rexx myscript.rexx


SLEEP.EXE: Batch File Wait

SLEEP causes the computer to wait for a specified amount of time. SLEEP is useful in batch files and may be more convenient to use than the at command in certain cases.

SLEEP topics

SLEEP syntax

SLEEP batch file example

Files Required.


SLEEP syntax

Open command prompt now.

Add a line in a batch file in the format:
sleep time

Where

time

is the number of seconds to pause.

For example:

sleep 3600

will pause for an hour before running the next command in a batch file.

sleep 10

waits 10 seconds.


SLEEP batch file example

This example could be used in a logon script:

@echo off

echo * Message of the Day - 7/22/93 *

echo.

echo Don't forget the company picnic!

echo Buses leave at 4pm.

sleep 60


TIMETHIS.EXE: TimeThis

TimeThis times how long it takes the system to execute a given command.

You provide as a parameter the name of the command you want executed and timed. TimeThis executes the specified command, then reports when command execution started and finished, and how long it took to run, in HH:MM:SS.TTT format.

TimeThis is useful for determining the start, end, and elapsed execution times of any command. It is easy to use interactively, and can also be used to time commands in batch files. simply prefix the command(s) you wish to time with the TIMETHIS command.

TimeThis topics

TimeThis syntax

Example: timing a DIR command

For more information

For brief usage instructions, run TIMETHIS without arguments.

Files Required.


TimeThis

 Previous | Next

TimeThis syntax

Open command prompt now.

timethis commandname

Where:

commandname

specifies the name of the command you want executed and timed.

You can also specify the arguments for the command. For example:

timethis  net use x: \\server\share /user:billybob

will run net use x: \\server\share /user:billybob and report how long it took.

Quotes around the command are required when the command involves redirection via <, >, >>, or |, etc. Quotes ensure that the redirection is applied to the command being timed, rather than the TIMETHIS command itself. For example:

timethis "dir > dirlist.txt"


TimeThis example: timing a DIR command

 Previous | Next

Example: timing a DIR command

This command:

c:\>timethis dir c:\users\default\temp

produces this output (lines in boldface type are TIMETHIS output):

TimeThis : Command Line : DIR C:\USERS\DEFAULT\TEMP

TimeThis :  Start Time : Thu Aug 03 11:23:22 1995

Volume in drive C has no label.

Volume Serial Number is 8C25-C783

Folder of C:\USERS\DEFAULT\TEMP

03/08/95  11:04         <DIR>          .

03/08/95  11:04         <DIR>          ..

20/03/95  12:31                 54,717 BIGLMH

20/03/95  14:57                 55,801 HOSTS

20/03/95  14:57                 55,801 LMHOSTS

17/03/95  05:10                 24,274 LMHOSTS.000

6 File(s)        190,593 bytes

39,556,096 bytes free

TimeThis :  Command Line :  DIR C:\USERS\DEFAULT\TEMP

TimeThis :    Start Time :  Thu Aug 03 11:23:22 1995

TimeThis :      End Time :  Thu Aug 03 11:23:23 1995

TimeThis :  Elapsed Time :  00:00:00.972

C:\>


WAITFOR.EXE

This command-line tool waits until a signal is given across the network. Multiple machines can wait for the same signal.

In testing builds of a piece of software, for example, the build machine could send out a signal to several machines running WAITFOR once the build has completed successfully. On receipt of the signal, the batch file including WAITFOR could instruct the computers to immediately start running tests on the build.

The names of the signals that WAITFOR uses are file-like, independent and not case-sensitive. Multiple instances of WAITFOR can run on a single machine, but each must be waiting for a different signal. A signal can be triggered by using the -s option.

WAITFOR runs on any version of Windows NT and on Windows 98. On Windows NT, the computer receiving the signal must reside in the same domain as the sending computer. On Windows 98, signal names longer than the 8.3 filename format will be truncated, so use of signal names that comply with the 8.3 standard is advised.

WAITFOR syntax

Open command prompt now.

waitfor [-t timeout] [-s] signalname [-?]

Where

-t timeout

specifies the number of seconds to wait. Default is forever.

-s

sends signalname instead of waiting for it.

signalname

specifies the signal for which WAITFOR waits or which it sends. Signalname is not case-sensitive.

-?

displays a usage message (as does any error in parsing the command line).

Note Only one instance of WAITFOR can wait for a given signal on a given machine.

Examples

waitfor -t 10 espresso\build007

waits 10 seconds or until the "espresso\build007" signal is triggered.

waitfor espresso\build007

waits forever or until the "espresso\build007" signal is triggered.

waitfor -s espresso\build007

triggers the "espresso\build007" signal.

Files Required.


Windows Scripting Host Administrator's Guide

 Previous | Next

Windows Scripting Host Administrator’s Guide and Sample Scripts

Windows Scripting Host is a language-independent scripting host for ActiveX scripting engines on 32-bit Windows platforms. With Windows Scripting Host, scripts can be run directly from the Windows 98 desktop, either by clicking on them in Windows Explorer or from a command line, eliminating the need to embed such scripts in HTML documents. Windows Scripting Host is ideal for running non-interactive scripts that perform logon and administrative tasks and machine automation. In addition to Windows 98, Windows Scripting Host is being integrated into Windows NT Workstation version 5.0, and Windows NT Server version 5.0.

The Windows Scripting Host Administrator’s Guide provides online help for using the Wscript.Exe and Cscript.Exe host executables, tips for designing script applications to run on Windows Scripting Host, a guide to the sample Windows Scripting Host scripts, and links to in-depth programmer’s information on the World Wide Web.

The Windows Scripting Host Sample Script folder on the Windows 98 compact disc contains eight Visual Basic and JavaScript sample applications that have been designed to demonstrate networking, shell manipulation, and other methods available in the Windows Scripting Host Object Library.

To run a sample script

  • Double-click the filename in Windows Explorer.

To open a sample script and view its contents

  • Go to the \WINDOWS\SAMPLES\WSH directory of your hard drive and type notepad scriptname.extension on a command line.

For more information

Open WSH Administrator’s Guide now.

Related topics

Files Required.


Windows Scripting Host Programmer's Reference

Windows Scripting Host is a language-independent scripting host for ActiveX scripting engines on 32-bit Windows platforms. With Windows Scripting Host, scripts can be run directly from the Windows 98 desktop, either by clicking on them in Windows Explorer or from a command line, eliminating the need to embed such scripts in HTML documents. Windows Scripting Host is ideal for running non-interactive scripts that perform logon and administrative tasks and machine automation. In addition to Windows 98, Windows Scripting Host is being integrated into Windows NT Workstation version 5.0, and Windows NT Server version 5.0.

The Windows Scripting Host Programmer's Reference provides documentation of the objects provided by Wscript.Exe and WsHom.Ocx, as well as information on writing a third-party scripting engine for WSH.

For more information

Open WSH Programmer’s Reference now.

Related topics

Files Required.


WINSET.EXE

This utility sets or removes environment variables in Windows 98 from either the command line or a batch file. It differs from the MS-DOS Set command in that it operates on the Windows global environment. Winset is also useful for setting environment variables from Windows NT logon scripts, since the Windows NT logon processor does not support setting environment variables in Windows 98.

The syntax for WINSET.EXE is the same as the MS-DOS SET command, with the exception that it does not list all environment variables set. To view the current environment variables, type SET without parameters on a command line.

Note Winset does not set an environment variable in its own process or in any process that is currently running, but in all processes that are started after Winset has been run.

WINSET topic

WINSET syntax

Files Required.


WINSET syntax

Open command prompt now.

WINSET [variable=[string]]

Where:

variable

Specifies the environment-variable name.

string

Specifies a series of characters to assign to the variable.


WINLOGO.DOC: "Designed for Windows NT and Windows 98" Logo Handbook for Software Applications

 Previous | Next

WINLOGO handbook: "Designed for Windows NT and Windows 98" Logo Handbook for Software Applications

Open WINLOGO handbook now (if installed).

The "Designed for Windows NT and Windows 98 Logo Handbook for Software Applications" describes the technical requirements that must be satisfied by an application in order to receive the Designed for Windows NT and Windows 98 logo.

Developers of software applications can use the Logo Handbook as a guide for developing applications that are compatible with both Windows NT and Windows 98.

End users can use this handbook to determine what Windows NT and Windows 98 "compatibility" means and what features to expect in an application that carries the Logo.

Note The WinLogo handbook is not installed with the Typical Resource Kit installation. To install it, run Windows 98 Resource Kit Setup, and select the "Complete" option.

For more information

The Logo Handbook only describes the technical requirements that must be met in order to receive the Logo. To apply for the Logo, developers should refer to the complete application information located on:

http://www.microsoft.com/windows/thirdparty/winlogo/

If you have an Internet connection, you can click this link to go there now.

Files Required.


WINREP SOFTWARE DEVOLOPMENT KIT: Application Management tool

 Previous | Next

WINREP DEPLOYMENT SOFTWARE DEVOLOPMENT KIT (WinrpSDK.Doc)

The WinRep Deployment Software Development Kit (WinrpSDK.DOC) describes the technical specifications of the Windows Report Tool (WinRep), an Internet-based problem reporting tool that is installed with Windows 98. The WinRep SDK provides the documentation necessary to extend WinRep (the Windows Report Tool) into corporate and OEM environments, so that your customers can have a fast and efficient way of submitting requests for product support.

Note The WinRep Software Development Kit is not installed during the standard Windows 98 Resource Kit installation. The files are found in the \Diagnose\WinRep directory of the Windows 98 Resource Kit compact disc.

For more information on WinRep, see Chapter 29, General Troubleshooting, in the Windows 98 Resource Kit.

Open Windows 98 Resource Kit Book Online.

Or see the WinRep topic in this help file.

Files Required.


Windows 98 Resource Kit book online

Open Windows 98 Resource Kit now.

The Windows 98 Resource Kit book online is a complete HTML Help version of the Windows 98 Resource Kit, which presents detailed technical information on the Windows 98 operating system. The Windows 98 Resource Kit is intended for corporate administrators, support personnel, and advanced users of Windows 98, and includes information on the following:

  • Operating system components and system architecture

  • Deployment planning and details

  • Product support and troubleshooting

  • Using Windows 98 on networks or the Internet

Files Required.


Diagnostic and Troubleshooting Tools

CREATEFILE.EXE: System Stress Testing Tool

DEPENDS.EXE: Dependency Walker

DUPFINDER.EXE: Duplicate File Finder

FILEINFO.EXE: System File Information

GREPING.EXE: GRE Protocol Troubleshooting Tool

HCL.HTM: Windows 98 Hardware Compatibility List

KILL.EXE: Task Killing Utility

MSCONFIG.EXE: System Troubleshooting Tool

MSINFO32.EXE: System Troubleshooting Tool

OLEVIEW.EXE: OLE/COM Object Viewer

TLIST.EXE: Task List Viewer

TRANSLATE.EXE: Error Message Translator

USBVIEW.EXE: USB Device Troubleshooter

W98CARD.HLP: Windows 98 Adapter Card Help

WINREP: Windows Report Tool


Desktop Tools

ANIEDIT.EXE: Animated Cursor Editor

CHECKLINKS.EXE: Link Check Wizard

CLIPSTOR.EXE: Clipboard Buffer Tool

CLIPTRAY.EXE: Clipboard Organizer

DEFPTR.EXE: Default Printer

IMAGEDIT.EXE: Image Editor

MINITEL.TTF: Minitel Emulation Files

QUICK LAUNCH EXPRESS: Application Management Tool

QUIKTRAY.EXE: System Tray Utility

TWEAKUI: Desktop Power Toy


File Tools

ASSOCIATE.EXE

CLIP.EXE: Clip

COMPRESS.EXE: File Compress

DFLAYOUT.EXE: Compound File Layout User Tool

EXETYPE.EXE: Finding the Executable Type

EXPAND.EXE: Expand for Windows

FILEVER.EXE: FileVer

FINDSTR.EXE: Search Tool

LFNBACK.EXE: Long Filename Backup Utility

LIST.EXE: text editor

POSIX 32-bit clones

TEXTVIEW.EXE: TextViewer

UUCODE.EXE: 32-Bit UUDecode and UUEncode Utility

WHERE.EXE: File locating tool

WINDIFF.EXE: File and Directory Comparison


Scripting Tools

CHOICE.EXE: User Input for Batch Files

FORFILES.EXE

FREEDISK.EXE

LOGTIME.EXE

MCOPY.EXE

NOW.EXE: Now

Regina REXX Scripting Language

SLEEP.EXE: Batch File Wait

TIMETHIS.EXE: Time This

WAITFOR.EXE

WINSET.EXE: Environment Setting Utility

Windows Scripting Host Administrator’s Guide/Sample Scripts

Windows Scripting Host: Programmer's Reference


Registry Tools

COMPREG.EXE

REG.EXE

SRCHREG.EXE


Deployment Tools

BATCH.EXE

DBSET.EXE: Bulk Configuration Utility

INFINST.EXE: Automated .INF Installer


Performance Tools

WinAlign: Application performance optimizer


Network Administration Tools

NETTIME.EXE: Server Time Synchronization Tool

Network Monitor Agent and Protocol Driver

POLEDIT.EXE: System Policy Editor

PROFMGR.EXE: Internet Explorer Profile Manager

PWLEDIT.EXE: Password List Editor

REMOTREG: Microsoft Remote Registry Services

RPCPP: Microsoft Remote Procedure Call Print Provider

SNMP Agent: Windows 98 Remote SNMP Service


Configuration Tools

CHDOSCP.EXE: MS-DOS Code Page Changer

BOOTEDIT.EXE: Windows Boot Editor

FAT32WIN.EXE: Fat32 Conversion Information Tool

SREDIT.EXE: ScanReg.Ini Editing Tool

TIMEZONE.EXE: Daylight Savings Time Utility

TZEDIT.EXE: Time Zone Utility

WINBOOT.EXE: Multiple Language Boot


Copyright

 Previous | Next

Copyright Information

Information in this online document is subject to change without notice.

The names of companies, products, people, characters, and/or data mentioned herein are fictitious and are in no way intended to represent any real individual, company, product, or event, unless otherwise noted. No part of this document may be reproduced or transmitted in any form or by any means, electronic or mechanical, for any purpose, without the express written permission of Microsoft Corporation.

© 1985-1998 Microsoft Corporation. All rights reserved.

Active Desktop, ActiveX, and Jscript are trademarks and Microsoft, MS, MS-DOS, Visual Basic, Win32, Windows, and Windows NT are registered trademarks of Microsoft Corporation.

Adaptec is a trademark of Adaptec Inc. Apple, AppleShare, LocalTalk, and Macintosh are registered trademarks and System 7 is a trademark of Apple Computer, Inc. Compaq is a registered trademark of Compaq Computer Corporation. DEC is a registered trademark of Digital Equipment Corporation. Everex is a trademark of Everex Systems, Inc. HP is a registered trademark of Hewlett-Packard Company. IBM and PS/2 are registered trademarks of International Business Machines Corporation. Intel is a registered trademark of Intel Corporation. Novell is a registered trademark of Novell, Inc. SMC is a registered trademark of Standard Microsystems Corporation. Toshiba is a registered trademark of Kabushiki Kaisha Toshiba. UngermanBass is a registered trademark of Ungermann-Bass, Inc.

The files for the Regina REXX scripting language are the only files covered by the GNU Library General Public License. All other files are copyrighted by Microsoft Corporation or the respective owners, and are subject to the terms of a separate license agreement.


(Untitled)

ADDRESS in EXETYPE.INI

Microsoft .EXE files have the address of the header at a certain location. This value is kept at offset 3c from the beginning of the file. If your entry does not keep the address of the header in an offset, use ** and the offset parameter will be ignored.


(Untitled)

 Previous | Next

[entry] in EXETYPE.INI

This denotes the start of a new entry (80 characters maximum).


(Untitled)

 MASK in EXETYPE.INI

This bitmask lets you screen which bits of the bytes you want to look at.


(Untitled)

 OFFSET in EXETYPE.INI

This hexadecimal value denotes the offset from the beginning of the header.


(Untitled)

 TYPE in EXETYPE.INI

A description of the file type (80 characters maximum).


(Untitled)

 VALUE in EXETYPE.INI

This is the actual value you are comparing to the value of the bits at OFFSET strained through MASK.

The "!" denotes a logical NOT; in other words, this file fits the criteria only if the value in the file does not match this value.


Using GREPING.EXE

To test if GRE packets can reach an internal LAN through the Internet:

  1. Copy GRESRV.EXE and WS2_32.DLL into the \%systemroot%\system32\ directory of an NT 4.0 machine on their internal LAN (one side of the PPTP connection). WS2_32.DLL is the WINSOCK2 dynamic link library.

  2. Run GRESRV.EXE. GRESRV.EXE will listen for incoming GRE packets.

  3. Copy GREPING.EXE and WS2_32.DLL into the \%systemroot%\system32\ directory of an NT 4.0 machine or copy GREPING.EXE in the \%windir%\system directory of a Windows 98 machine on the other side of the PPTP connection (remote to the host running GRESRV.EXE).

  4. On the remote machine, type GREPING.EXE <IP-ADDRESS> on the command line, where IP address is the IP address or host name of the NT machine which is running GRESRV.EXE. GREPING.EXE will continually send GRE packets to the host.

  5. If the packets are getting through, you will see the number of incoming GRE packets increasing on the server running GRESRV.EXE.

Note You can test the tool locally by running GRESRV.EXE in one command prompt window and then running GREPING.EXE with the command GREPING.EXE localhost in a second command prompt window. You should see the GRE packet count incrementing in both windows.


Sending feedback

You can send feedback, comments, or bug reports for these tools, or for any Resource Kit documentation, by electronic mail to RKINPUT@MICROSOFT.COM on the Internet. If you have an Internet e-mail connection, you can click the following icon or text to send mail now:


Installing the Resource Kit

 Previous | Next

Installing the Windows 98 Resource Kit

The Windows 98 Resource Kit is a separate installation from the Windows 98 operating system.

To install the Windows 98 Resource Kit

  1. Start Windows 98, and then insert the Windows 98 Resource Kit compact disc into your CD-ROM drive.

  2. When the autorun screen appears, click Install Resource Kit.

  3. Follow the instructions that appear on your screen.

The Setup program provides three installation options:

  • Typical Installs all Resource Kit tools except the network administration tools (which must be manually installed), and the Windows NT and Windows 98 Logo Requirements documentation.

  • Complete Installs all Resource Kit tools except the network administration tools.

  • Custom Installs the Resource Kit tools in selected categories. If this option is chosen, some of the links in this Help file may not work.

Setup creates a Windows 98 Resource Kit folder on the Start menu with shortcuts to this Help file and the Tools Management Console.


Keyboard conventions

Convention Meaning
  • + (a plus sign between two or more key names)
 Indicates that you must press the keys at the same time; for example, ALT + TAB.
  • , (a comma between two or more key names)
 Indicates that you must press each key consecutively; for example, ALT, F, X.


Notational conventions

Convention | Meaning
bold | Characters that you type exactly as shown, including commands and switches. Menus and commands on them are also bolded.
italic | Variables for which you supply a specific value. For example, filename in a path name could refer to any valid filename for the case in question.
ALL CAPITALS | Names of paths, folders, files, and acronyms. Unless otherwise indicated, you can use uppercase or lowercase when you type paths, folders, or filenames.
Courier type | Examples of code.
[ ] (square brackets) | In syntax descriptions, square brackets enclose optional items. If you include the item, type only the information between them, not the square brackets themselves.
{choice1 | choice2} (braces) | In syntax descriptions, braces enclose items which require a choice, such as {yes | no}. Type only one of the choices, not the braces or the dividing line.
Menu | Command (menus) | In referring to menu choices, Edit | Paste, for example, means to select the Edit menu and then choose the Paste command from it.


Procedural conventions

  • Instructions for the mouse are written for the classic-style Windows desktop (the default configuration). If you have enabled the Active Desktop, use a single mouse click when a double click is called for.

  • Procedures describing how to do a task are marked by a [image] before the procedure heading, and are preceded by a triangular bullet [image] for a single step or numbers for multiple steps.

  • An instruction to "type" information means to press the key or keys and then press the ENTER key.

  • An instruction to "select" information means to highlight folders, filenames, text boxes, menu bars, and options, or to select options in a dialog box.

  • An instruction to "choose" something means to carry out a command from a menu or dialog box with mouse or keyboard actions.

  • "Note" alerts you to supplementary information.

  • "Caution" alerts you to possible data loss or breaches of security.


Using the right-mouse-button menu

If you click the right mouse button in any Help window, a context menu pops up with commands useful in that particular location. Overview of Windows 98 Resource Kit Tools adds three commands to this menu that enable you to open Explorer, Control Panel, and Registry Editor from any point in the Help file (but not in the opening Help Topics window).


Terminology conventions

  • "MS-DOS" refers to Microsoft MS-DOS.

  • "Command prompt" refers to the point on the MS-DOS screen where you enter commands, typically designated by "C:\>" (or other characters indicating the current drive and folder). To reach the command prompt in Windows 98, click Start, point to Programs, and then click MS-DOS Prompt.

  • "Command-line application" or "console-based application" refers to an application designed to run under MS-DOS or in an MS-DOS window, and which cannot run in a Windows 98 window.

  • "Windows-based application" or "GUI application" refers to an application which must run in a Windows 98 window. All such applications follow similar conventions for the arrangement of menus, dialog box styles, and keyboard and mouse use.

  • "%SYSTEMROOT%" refers to the folder in which Windows 98 is installed.

  • "%WIN98RK%" refers to the folder in which the Windows 98 Resource Kit is installed.

  • "CD_drive:" refers to the drive letter for the CD-ROM drive, which may vary from computer to computer depending on what other hardware is installed.

  • "Tool" and "utility" are used synonymously to refer to application programs on the Windows 98 Resource Kit CD.


Finding tools using the Tools Management Console

 Previous | Next

Finding tools with the Tools Management Console

The left pane of the Tools Management Console is like the left pane of Windows Explorer. Click the plus (+) sign next to an item to expand it; click its minus (-) sign to collapse it again. The contents of the folders in the left pane appear in the right (contents) pane.

In the Tools Management console, as in online Help, you can search for a tool by name or category. To search for a tool by name, expand the Tools A-Z folder in the left-hand pane. To search for a tool by category, expand the Tool Categories folder.

To run a tool or utility, click its name. To launch the online Help topic for the tool, right-click the tool name in the contents pane. On the context menu that appears, click Help.

For online Help on using the Tools Management console itself, click Help in the menu bar, and then click Help on MMC.


Finding tools by category

If you are looking for a particular type of tool, double-click one of the categories of tools on the Contents tab.


Finding tools by name

If you know the name of the tool you are looking for, you can look it up in the Alphabetical List. To open this list, double-click "Alphabetical List of Utilities" on the Contents tab, or click the Tools List button on the button bar. You can also search for the name of the tool on the Index tab of the Help Topics window, which you can open by clicking the Index tab in the Contents pane.


BATCH.EXE

This tool is useful for administrators and other support professionals who need to install Windows 98 on multiple computers. BATCH.EXE provides a simple interface that allows you to specify almost every setting available in Windows 98 Setup, including installation options such as target directory and computer and user information, networking options, printer and other hardware settings, and customization options. Alternatively, you can manually configure a single model machine with the settings you desire, and Batch.exe can extract the settings from the machine’s registry.

I want to know more about using BATCH.EXE from this overview.

Run BATCH.EXE now.


Scanreg.Exe and Scanregw.Exe

These two tools are included as part of the Windows 98 core operating system, and are installed as part of the standard Windows 98 installation.

Registry Checker (SCANREG.EXE) is a system maintenance program that finds and fixes registry problems. It comes in two versions: an automated version (scanregw.exe) that executes each time you start your computer, and a command-line version (scanreg.exe) that you can use manually for specific troubleshooting or maintenance tasks.

When you install Windows 98, SCANREGW.EXE is automatically set to scan the registry each time you start your computer, finding inconsistent data structures and fixing them if possible.

In addition, Registry Checker backs up the registry each day. If a serious problem is found in the registry, Registry Checker can restore the registry from a backup copy. Registry Checker maintains up to five compressed backups of the registry that have successfully started the computer. Registry Checker will fix the registry if a backup cannot be found. When you install Windows 98, Registry Checker will fix most problems in your registry [image] even those you weren't aware of.

Handy uses for SCANREG.EXE are:

  • Finding and fixing registry problems.

  • Improving registry performance.

  • Backing up the registry prior to installing new software or hardware.

For information on using SCANREG.EXE from the command line:

Show information on running Scanreg from the command line.


Using Scanreg

 Previous | Next

I want to maintain my registry

Using SCANREG.EXE

To run Scanreg.Exe

  1. On the Start menu, click Run.

  2. Type Scanreg, followed by one of the following switches:

Scanreg command-line switches

/fix

Scan for problems, and fix (possibly including restore). Also condenses the registry for better performance.

/backup

Backs up the current registry - handy to do before installing something.

/restore

Restores the registry from a previous backup.

/autorun

Used when the system automatically invokes it.

/autoscan

used by the task scheduler - scan and backup but don't flag the backed up registry as booted.

/comment

To add a description to a backed up registry.


(Untitled)

 Previous | Next

Checksums in WINDIFF

For each file compared, a checksum is calculated. This is a 4-byte number derived from some combination of the values of all the bytes in the file in such a way that it is extremely unlikely that two files that are different will have the same checksum, while ensuring that files that are identical always have the same sum.

(The odds of two different files giving the same sum are about 1 in 4 billion, which is to say that you could compare 1 file a second for the next 100 years and only have about a 50/50 chance of seeing it happen.)